Summary   	: A suite of "tiny" Unix utilities in a multi-call binary.
Name	  	: busybox
Version	  	: 1.01
Release	  	: 1.0.3.%{_hhl_build_id}
Source	  	: http://www.busybox.net/downloads/busybox-%{version}.tar.gz 
Source1		: busybox.config
Source2		: udhcpc-default.script 
Source3		: udhcpc-sample.bound
Source4		: udhcpc-sample.deconfig
Patch1		: busybox-insmod.patch
Patch2		: mvl-busybox-xtensa.patch
Patch3		: busybox-1.00-rc3-optimized.patch 
Patch4		: busybox-1.00-no_page_size.patch
Patch5		: busybox-getty.diff
Patch6		: busybox-%{version}-readlink.patch
Patch7		: busybox-1.01-insmod-usage.diff
License 	: GPL 
Group	  	: base
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir  %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
Obsoletes : hhl-target-busybox
Obsoletes : hhl-%{_hhl_target_arch}-busybox

%description

BusyBox is a suite of "tiny" Unix utilities in a multi-call binary. It
provides a pretty complete POSIX environment in a very small package.
Just add a kernel, "ash" (Keith Almquists tiny Bourne shell clone), and
an editor such as "elvis-tiny" or "ae", and you have a working system.
Busybox makes an excellent environment for any small or embedded system.

%package -n busybox-links
Summary		: Busybox package symlinks.
Group 		: base
Requires	: busybox

%description -n busybox-links

BusyBox is a suite of "tiny" Unix utilities in a multi-call binary. It
provides a pretty complete POSIX environment in a very small package.
Just add a kernel, "ash" (Keith Almquists tiny Bourne shell clone), and
an editor such as "elvis-tiny" or "ae", and you have a working system.
Busybox makes an excellent environment for any small or embedded system.

This package contains symlinks for the various busybox applications.

%prep

%target_check

%setup -n busybox-%{version} 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0
#cp %{SOURCE5} Config.h


%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup
cp %{SOURCE1} .config
make CROSS_COMPILER_PREFIX="%{_hhl_target_toolprefix}" \
     CC="$CC"  STRIP=true STRIPTOOL=true DODEBUG=true oldconfig

make CROSS_COMPILER_PREFIX="%{_hhl_target_toolprefix}" \
     CC="$CC"  STRIP=true STRIPTOOL=true DODEBUG=true



%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
make PREFIX=%{buildroot}%{_hhl_cross_target_dir} install
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/udhcpc
install -d %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/
install %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/default.script
install %{SOURCE3} %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/sample.bound
install %{SOURCE4} %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/sample.deconfig
find %{buildroot} -type l |  sed s,%{buildroot},,  > files

%clean
rm -rf %{buildroot}

%files -n busybox-links -f files
%defattr(-,root,root)

%files -n busybox
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/busybox
%{_hhl_cross_target_dir}/etc/udhcpc
%{_hhl_cross_target_dir}/usr/share/udhcpc/
%doc LICENSE 


%changelog
* Tue Jun 5 2007 Masao Ishibashi <ishiba@emi.yamaha.co.jp>
- Initial release for RTG-K2X.
* Wed Aug 08 2006 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Disabled IPv6 support.
* Tue Jun 04 2002 Joe Green <source@mvista.com>
- Added support for Xtensa architecture.
* Tue Dec 11 2001 Mark Hatle <source@mvista.com>
- Removed all of the link packages
- The TMPL is now created dynamically.
- The customer is expected to use TCT, or manually create the symbolic 
- links.
* Thu Apr 19 2001 Steve Kinneberg <source@mvista.com>
- Added TCT package description files
* Thu Mar 15 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


