Summary: A pro-active password checker library
Name: cracklib-libs%{_hhl_pkg_suffix}
Version: 2.7
Release: 3.0.2.%{_hhl_build_id}
Source: cracklib2_%{version}.orig.tar.gz
Source1: cracklib2-dev.crack.h.in
Source2: cracklib-words.gz
Patch0: cracklib2_%{version}-13.diff.gz
License: Other
Group: utils
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
Provides  : cracklib%{_hhl_pkg_suffix}
Obsoletes : hhl-target-cracklib
Obsoletes : hhl-%{_hhl_target_arch}-cracklib

%description
Shared library for cracklib2 which contains a C function which may be
used in a passwd like program.  The idea is simple: try to prevent
users from choosing passwords that could be guessed by crack by
filtering them out, at source. cracklib2 is NOT a replacement passwd
program.  cracklib2 is a LIBRARY.


%package -n cracklib-dev%{_hhl_pkg_suffix}
Summary: A pro-active password checker library
Group: devel
Requires  : cracklib-libs%{_hhl_pkg_suffix} 
Obsoletes : hhl-%{_hhl_target_arch}-cracklib-dev

%description -n cracklib-dev%{_hhl_pkg_suffix}
Shared library for cracklib2 which contains a C function which may be
used in a passwd like program.  The idea is simple: try to prevent
users from choosing passwords that could be guessed by crack by
filtering them out, at source. cracklib2 is NOT a replacement passwd
program.  cracklib2 is a LIBRARY.

This package includes headers and static libraries for cracklib.


%if "%{_hhl_pkg_suffix}" == ""
%package -n cracklib-dict
Summary: A common password list for cracklib
Group: utils

%description -n cracklib-dict
Password list fo cracklib2. Cracklib will check passwords against
this list to make sure they are not too easy to guess.
%endif



%prep
%target_check
%setup -q -n cracklib,%{version}
%patch0 -p1

%if "%{_hhl_pkg_suffix}" == ""
mkdir dicts
cp %{SOURCE2} dicts/cracklib-words.gz
gunzip dicts/cracklib-words.gz
%endif



%build
%target_setup

%if "%{_hhl_pkg_suffix}" == ""
#Build host components (needed to build dictionary)
mkdir host
pushd cracklib
        gcc *.c -c -O2 -I../cracklib -DIN_CRACKLIB
	ar rv host_libcrack.a *.o
	rm -rf *.o
	mv host_libcrack.a ../host/libcrack.a
popd
pushd util
	gcc packer.c -o host_packer%{_hhl_exe_ext} -I../cracklib ../host/libcrack.a
	mv host_packer%{_hhl_exe_ext} ../host/packer%{_hhl_exe_ext}
popd
%endif


#Build Target components
pushd cracklib
	${CC} *.c -c -O2 -I../cracklib -DIN_CRACKLIB
	${AR} rv libcrack.a *.o
	${RANLIB} libcrack.a
	rm -f *.o
	${CC} *.c -c -O2 -D_REENTRANT -fPIC -I../cracklib -DIN_CRACKLIB
	${CC} *.o -o libcrack.so.2 -shared -Wl,-soname=libcrack.so.2 -nodefaultlibs -lc
popd


%if "%{_hhl_pkg_suffix}" == ""
#Build dictionary tools
pushd util
	${CC} packer.c -o packer -I../cracklib -L../cracklib -lcrack
popd
%endif


%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}

#so symlink
cd cracklib
ln -s libcrack.so.2 libcrack.so
cd ../

cp cracklib/libcrack.* %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
sed -e 's^@@f_pkgruntime_dict_db@@^%{_hhl_target_lib_dir}^g' < %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/crack.h


%if "%{_hhl_pkg_suffix}" == ""
cp util/packer %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/packer
cp util/mkdict %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/mkdict

#Build/install dictionary
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/usr/lib
util/mkdict dicts/* | host/packer%{_hhl_exe_ext} %{buildroot}%{_hhl_cross_target_dir}/usr/lib/cracklib_dict
%endif

#no manpages to zip
#gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*.?

mv LICENCE LICENSE
chmod 644 LICENSE

%if "%{_hhl_pkg_suffix}" != ""
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/*
%endif

%clean
rm -rf %{buildroot}


%files -n cracklib-libs%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libcrack.so.2
%doc HISTORY LICENSE POSTER README


%files -n cracklib-dev%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libcrack.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libcrack.so
%if "%{_hhl_pkg_suffix}" == ""
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/*
%endif
%doc LICENSE


%if "%{_hhl_pkg_suffix}" == ""
%files -n cracklib-dict
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%{_hhl_cross_target_dir}/usr/lib/cracklib_dict*
%doc LICENSE
%endif


%changelog
* Wed Apr 12 2006 Ryan Burns <source@mvista.com>
- added dictionary package
* Mon Jul 12 2004 Khoa Nguyen <knguyen@mvista.com>
- apply new patch file from debian
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Feb 23 2001 Charles Duffy <source@mvista.com>
- First cut


