%define _docdir	%{_mvl_cross_target_dir}%{_mvl_target_doc_dir}

Summary		: The GLib library of C routines
Name		: glib%{_mvl_pkg_suffix}
Version		: 2.6.1
Release		: 3.0.4.%{_mvl_build_id}
Source		: glib-%{version}.tar.bz2
Patch1		: glib-libtool.diff
Patch2		: glib-%{version}-cygwin.patch
License		: LGPL
Group		: libs
Requires	: glib-libs%{_mvl_pkg_suffix}
BuildRoot	: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
Prefix		: %{_mvl_cross_target_dir}
Obsoletes 	: hhl-target-glib
Obsoletes 	: hhl-%{_mvl_target_arch}-glib

%description

 GLib is a library containing many useful C routines for things such
 as trees, hashes, and lists. GLib was previously distributed with
 the GTK+ toolkit, but has been split off as of the developers' version
 1.1.0.

%package -n glib-libs%{_mvl_pkg_suffix}
Summary		: The GLib runtime libraries.
Group		: libs

%description -n glib-libs%{_mvl_pkg_suffix}
The GLib runtime libraries.


%package -n glib-dev%{_mvl_pkg_suffix}
Summary		: The GLib library of C routines
Group		: devel
Requires	: glib-libs%{_mvl_pkg_suffix}
Obsoletes 	: hhl-%{_mvl_target_arch}-glib-dev

%description -n glib-dev%{_mvl_pkg_suffix}

 GLib is a library containing many useful C routines for things such
 as trees, hashes, and lists. GLib was previously distributed with
 the GTK+ toolkit, but has been split off as of the developers' version
 1.1.0.

 This package includes headers and static libraries for development with
 glib.

%if "%{_mvl_pkg_suffix}" == ""
%package -n glib-doc
Summary: The GLib library of C routines
Group: libs
Obsoletes : hhl-%{_mvl_target_arch}-glib-doc

%description -n glib-doc

 GLib is a library containing many useful C routines for things such
 as trees, hashes, and lists. GLib was previously distributed with
 the GTK+ toolkit, but has been split off as of the developers' version
 1.1.0.

 This package includes the documentation for glib.

%endif

%prep
%target_check
%setup -q -n glib-%{version}
%patch1 -p1
%patch2 -p1
cp COPYING LICENSE


%build
%target_setup

# Use pkgconfig files from the target directory
PKG_CONFIG_PATH=%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/pkgconfig
PKG_CONFIG_ROOT_PREFIX=%{_mvl_cross_target_dir}
export PKG_CONFIG_PATH PKG_CONFIG_ROOT_PREFIX

%target_acplatvars
glib_cv_stack_grows=no; export glib_cv_stack_grows
glib_cv_uscore=no; export glib_cv_uscore
ac_cv_func_posix_getpwuid_r=yes; export ac_cv_func_posix_getpwuid_r

%if "%{_mvl_target_cpu}" == "x86_64" && "%{_mvl_pkg_suffix}" == ""
%target_configure --host=x86_64-montavista-linux
%else
%target_configure
%endif

%make all


%install
rm -rf %{buildroot}
%target_setup

%target_makeinstall

gzip %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man?/*

#moved to common documentation location /usr/share/doc
mkdir -p %{buildroot}%{_docdir}/gtk-doc/html
mv %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/gtk-doc/html/* %{buildroot}%{_docdir}/gtk-doc/html/

#fix libtool
%demangle_libtool
%if "%{_mvl_pkg_suffix}" != ""
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/aclocal/
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man?/
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_doc_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}
%endif



%clean
rm -rf %{buildroot}


%files -n glib-libs%{_mvl_pkg_suffix}
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.so.*

%if "%{_mvl_pkg_suffix}" == ""
%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/locale/*
%endif

%doc LICENSE


%files -n glib-dev%{_mvl_pkg_suffix}
%defattr(-,root,root)
%if "%{_mvl_pkg_suffix}" == ""
%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/*
%{_mvl_cross_target_dir}%{_mvl_target_include_dir}/*
%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/aclocal/*
%doc %{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man?/*
%endif
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/pkgconfig/*
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/glib-2.0
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.la
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.so
%doc LICENSE



%if "%{_mvl_pkg_suffix}" == ""
%files -n glib-doc
%defattr(-,root,root)
%doc %{_mvl_cross_target_dir}%{_mvl_target_data_dir}/glib-2.0/*
%doc %{_docdir}/gtk-doc/html
%doc AUTHORS 
%doc COPYING 
%doc ChangeLog 
%doc NEWS 
%doc README 
%doc README.win32
%doc LICENSE
%endif



%changelog
* Tue Apr 19 2005 Dave Jiang <djiang@mvista.com>
- Added workaround for x86_64 target configure
* Wed Apr 13 2005 Peter Rehley <prehley@mvista.com>
- Added patch for cygwin
* Mon Jan 24 2005 Joe Green <jgreen@mvista.com>
- Updated to version 2.6.1.
* Fri Apr 20 2001 Steve Kinneberg <skinneberg@mvista.com>
- Added TCT package description files
* Fri Feb 24 2001 Charles Duffy <source@mvista.com>
- First cut
