Summary: The GNU C Library
Name: glibc%{_mvl_pkg_suffix}

Version: 2.3.3
Release: 40.0.90.%{_mvl_build_id}
Source0: ftp://ftp.gnu.org/gnu/glibc/glibc-2.3.3-20040918.tar.bz2

%define autoconf_version 2.59

License: LGPL
Group: devel
Buildroot: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
Prefix: %{_mvl_cross_target_dir}
%define _docdir          %{_mvl_cross_target_dir}/%{_mvl_target_doc_dir}

%define build_nptl no
%define build_NUMA no
%if "%{_mvl_target_cpu_type}" == "x86"
%define build_nptl yes
%endif
%if "%{_mvl_target_cpu_type}" == "ppc"
%define build_nptl yes
%endif
%if "%{_mvl_target_cpu_type}" == "arm"
%define build_nptl yes
%define build_NUMA yes
%endif
%if "%{_mvl_target_cpu_type}" == "mips"
%define build_nptl yes
%endif

%if "%{_mvl_pkg_suffix}" == ""
%if "%{_mvl_target_cpu}" == "ppc64"
%define _mvl_target_toolconfig powerpc-montavista-linux
%endif
%endif

%if "%{build_nptl}" == "yes"
%define _tlsdir /tls
%else
%define _tlsdir %{nil}
%endif

# Some headers may need wrappers between two multilibs.
%if "%{_mvl_target_cpu}" == "x86_64"
%define _wrap_test __x86_64__
%define _wrap_yes include-64
%define _wrap_no include-32
%if "%{_mvl_pkg_suffix}" == ""
%define _wrap_dir include-64
%else
%define _wrap_dir include-32
%endif
%else
%define _wrap_dir %{nil}
%endif


# Multilib wrappers for libopt directory libc and libm
%define _libc libc%{_mvl_pkg_suffix}
%define _libm libm%{_mvl_pkg_suffix}

Source10: tzcode2005m.tar.gz

# HHL Configuration Files
Source20: nsswitch.conf
Source21: host.conf
Source22: glibc-libopt-build-libc
Source23: glibc-libopt-build-libm
Source34: devpts
Source35: nscd
Source36: tzconfig
Patch999: glibc-mips64-cavium-sdk120-specific.patch

Patch1:  glibc22-ttyname-devfs.dpatch
Patch2:  librt-mips.dpatch
Patch3:  glibc23-ctype-compat.dpatch
Patch4:  glibc23-function-compat.dpatch
Patch5:  glibc-2.3.2-cvs-errno.dpatch
Patch6:  libgcc-compat-all.dpatch
Patch7:  libgcc-compat-other.dpatch
Patch8:  ldd.dpatch
Patch9:  tcsetattr.dpatch
Patch10:  glibc-arm_memcpy.patch
Patch11:  glibc-2.3.2-cvs-405-atomicity.patch
Patch12:  glibc-2.3.2-cvs-sh.patch
Patch13:  glibc-sh-pread_pwrite.patch
Patch14:  glibc-arm_sa_be.patch
Patch15:  glibc-xtensa_linux_common.patch
Patch16:  glibc-2.2.5-xtensa_memcpy.patch
Patch17:  glibc-2.2.5-xtensa_strlen.patch
Patch18:  glibc-2.2.5-xtensa_align.patch
Patch19:  glibc-2.3.2-xtensa_configure.patch
Patch20:  glibc-2.3.2-xtensa_sysdep-cancel.h.patch
Patch21:  glibc-2.3.2-xtensa_tls.h.patch
Patch22:  glibc-2.3.2-xtensa_ptrace.h.patch
Patch23:  glibc-2.3.2-xtensa_dl-machine.h.patch
Patch24:  glibc-2.3.2-xtensa-noerrno.patch
Patch25:  glibc-2.2.5-xtensa_segfault.patch
Patch26:  glibc-2.2.5-xtensa_ipc.patch
Patch27:  glibc-2.2.5-xtensa_nosyscall.patch
Patch28:  glibc-2.2.5-xtensa_profil.patch
Patch29:  glibc-2.3.2-xtensa_msq.h.patch
Patch30:  glibc-2.2.5_xtensa_hal.patch
Patch31:  glibc-2.2.5-xtensa_cleanup.patch
Patch32:  glibc-xtensa_missing_files.patch
Patch33:  glibc-2.2.5-xtensa_setjmp.patch
Patch34:  glibc-2.3.2-xtensa_linux26.patch
Patch35:  glibc-xtensa-stat.patch
Patch36:  glibc-xtensa-umount.patch
Patch37:  glibc-xtensa-ipc_h.patch
Patch38:  glibc-lock-memory.patch
Patch39:  glibc-libthread_db-static.patch
Patch40:  glibc-2.2.5_mips_nfp.patch
Patch41:  glibc-2.2.5-sh-compat.patch
Patch42:  glibc-2.3.2-vfork-backtrace.patch
Patch43:  glibc-2.3.2-mips-vfork.patch
Patch44:  hhl-glibc-libgcc-compat.patch
Patch45:  glibc-lsb-locale.patch
Patch46:  glibc-2.2.5-rel_calc.patch
Patch47:  glibc-2.3.2-prelink-diagnostic.patch
Patch48:  glibc-2.3.2-elcstd.patch
Patch49:  glibc-2.3.2-sh4_syscallfix.patch
Patch50:  mvl-glibc-2.3.2-isv-compat.patch
Patch51:  glibc-2.2.5-mips-profile.patch
Patch52:  mvl-glibc-2.3.2-iwmmxt-stat.patch
Patch53:  mvl-glibc-2.3.2-iwmmxt-stack.patch
Patch54:  mvl-glibc-2.3.2-iwmmxt-vfp.patch
Patch55:  glibc-libgcc_eh.patch
Patch56:  glibc-2.3.2-sjlj.patch
Patch57:  glibc-mips-jalr-gp.patch
Patch58:  glibc-2.3.2-arm-waitpid.patch
Patch59:  glibc-2.3.2-mips64-ptrace.patch
Patch60:  glibc-2.3.2-cvs-mips64-implies.patch
Patch61:  glibc-2.3.2-cvs-mips64-cancels.patch
Patch62:  glibc-2.3.2-cvs-mips-timers.patch
Patch63:  glibc-2.3.2-sig_race.patch
Patch64:  glibc-mvl-nptl-gcc3.4.patch
Patch65:  glibc-2.3.2-ppc-fix-soft-float.patch
Patch66:  glibc-2.3.2-ldt-overflow.patch
Patch67:  glibc-2.3.2-x86_em64t-multilib32_linuxthreads-fno_unit_at_a_time.patch
Patch68:  glibc-2.3.2-x86_em64t-multilib32_sysdeps-fno_unit_at_a_time.patch
Patch69:  glibc-2.3.2-scanfproblem.patch
Patch70:  glibc-2.3.2-arm-spinlock.patch
Patch71:  glibc-2.3.2-getenv.patch
Patch72:  glibc-2.3.2-thumb.patch
Patch73:  glibc-arm-interwork-returns.patch
Patch74:  glibc-2.3.2-cvs-affinity-2.patch
Patch75:  glibc-2.3.2-thumb-syscall.patch
Patch76:  glibc-2.3.2-realpath.patch
Patch77:  glibc-2.3.2-mips-msqid.patch
Patch78:  glibc-disable-sanity.patch
Patch79:  glibc-2.3.3-bug_7941-workaround.patch
Patch80:  glibc-2.3.3-bug_8132-workaround.patch
Patch81:  glibc-arm-linux26.patch
Patch82:  glibc-arm-tls.patch
Patch83:  glibc-mips-noforceabi.patch
Patch84:  glibc-mips-throwmacro.patch
Patch85:  glibc-no_locale_archive.patch
Patch86:  glibc-i386-useldt.patch
Patch87:  glibc-arm-tls-old-kernels.patch
Patch88:  glibc-nptl-new-binutils-errno.patch
Patch89:  glibc-arm-eabi.patch
Patch90:  glibc-arm-eabi-exception-tables.patch
Patch91:  glibc-arm-eabi-nptl.patch
Patch92:  glibc-arm-vfp-fixes.patch
Patch93:  glibc-arm-swp-fixes.patch
Patch94:  glibc-arm-nptl-eabi-unwinding.patch
Patch95:  glibc-ldd-syntax.patch
Patch96:  glibc-errno-backports.patch
Patch97:  glibc-mips-nptl.patch
Patch98:  glibc-mips-atomicity.patch
Patch99:  glibc-arm-gmon-segfault.patch
Patch100:  glibc-cross_sunrpc.patch
Patch101:  glibc-pt_chown.patch
Patch102:  glibc-2.3.3-udp.patch
Patch103:  glibc-mips_syscall-2.patch
Patch104:  glibc-separate-debug-file.patch
Patch105:  glibc-numa-policy.patch
Patch106:  glibc-CAN2004-1453.patch
Patch107:  glibc-arm-SHMLBA.patch
Patch108:  glibc-malloc-deadlock.patch
Patch109:  glibc-_JCR_LIST.patch
Patch110:  glibc-arm-eabi-syscall-structure-alignment.patch
Patch111:  glibc-tcb-pre-offset.patch
Patch112:  glibc-pthread-exit.patch
Patch113:  glibc-link-against-libc-nonshared.patch
Patch114:  glibc-arm-revised-tls.patch
Patch115:  glibc-mips64-nptl.patch
Patch116:  glibc-mips-n64-sockets.patch
Patch117:  glibc-linker-script-align.patch
Patch118:  glibc-mips-n64-backports.patch
Patch119:  glibc-raq2_librt_linking-1.patch
Patch120:  glibc-2.3.3-pthread_exit.patch
Patch121:  glibc-context.patch
Patch122:  glibc-ppc64-PR610.patch
Patch123:  glibc-2.3.3-getaddrinfo.patch
Patch124:  glibc-2.3.3-malloc-hooks.patch
Patch125:  glibc-2.3.3-semadj.patch
Patch126:  glibc-RTABI_functions.patch
Patch127:  glibc-2.3.3-nptl-static-link.patch
Patch128:  glibc-ppc_kernel_features.patch
Patch129:  glibc-arm_posix_fadvise64.patch
Patch130:  glibc-2.3.3-nis_assert_check.patch
Patch131:  glibc-2.3.3-spurious_space_before_tab.patch
Patch132:  glibc-2.3.3-e_hypotf.patch
Patch133:  glibc-2.3.3-EINTR_restart.patch
Patch134:  glibc-2.3.3-pi_lo_value.patch
Patch135:  glibc-2.3.3-memset_argument_handling.patch
Patch136:  glibc-2.3.3-nis_size_reduction.patch
Patch137:  glibc-2.3.3-arm_prelink.patch
Patch138:  glibc-unterminated-eh-frame.patch
Patch139:  glibc-spe-support.patch
Patch140:  glibc-SHN_UNDEF.patch
Patch141:  glibc-getsubopt_gnulib.patch
Patch142:  glibc-socket_addr_length.patch
Patch143:  glibc-ppc_procfs_uint128.patch
Patch144:  glibc-mips64_syscall.patch
Patch145:  glibc-IO_fileops.patch
Patch146:  glibc-arm_memset.patch
Patch147:  glibc-powerpc_libm_test.patch
Patch148:  glibc-pthread_mutex_waiters.patch
Patch149:  glibc-fopen64.patch
Patch150:  glibc-x86-64-thread-debug.patch
Patch151:  glibc-2.3.3-timezone-update.patch
Patch152:  glibc-debug_state.patch
Patch153:  glibc-mips-posix-fadvise64.patch
Patch154:  glibc-ldconfig-linkfix.patch
Patch155:  glibc-nptl-static-debug.patch
Patch156:  glibc-nptl-serialize-debug.patch
Patch157:  glibc-dlopen-mem-leak.patch
Patch158:  glibc-2.3.3-setuid.patch
Patch159:  glibc-2.3.3-binutils-2.16-compatibility.patch
Patch160:  glibc-2.3.3-frandom-detect.patch
Patch161:  glibc-2.3.3-localedef-fix-trampoline.patch
Patch162:  glibc-2.3.3-tempfile.patch
Patch163:  glibc-fix_erfcl_prototype.patch
Patch164:  glibc-mips64-cavium-sdk120.patch
Patch165:  glibc-libio-wgenops.patch
Patch166:  glibc-linuxthreads-sig-check.patch
Patch167:  glibc-nptl-reset-pid-on-cached-stacks.patch
Patch168:  glibc-mips-vr4130-workaround.patch
Patch169:  glibc-fixes-backport-20060823.patch
Patch170:  glibc-fixes-backport-20060908.patch

Provides: /sbin/ldconfig
Obsoletes: hhl-%{_mvl_target_arch}-glibc%{_mvl_pkg_suffix}

%description
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

# glibc-dev
%package -n glibc-dev%{_mvl_pkg_suffix}
Summary: GNU C Library: Development Libraries and Header Files.
Group: devel
Requires: kernel-headers, glibc%{_mvl_pkg_suffix} = %{version}
Obsoletes: glibc-bootstrap
Obsoletes: hhl-%{_mvl_target_arch}-glibc-dev%{_mvl_pkg_suffix}
Obsoletes: libmqueue

%description -n glibc-dev%{_mvl_pkg_suffix}
Contains the symlinks, headers, and object files needed to compile
and link programs which use the standard C library.

%if "%{build_nptl}" == "yes"

# glibc-linuxthreads
%package -n glibc-linuxthreads%{_mvl_pkg_suffix}
Summary: GNU C Library: Linuxthreads libraries.
Group: devel
Requires: glibc%{_mvl_pkg_suffix} = %{version}
AutoReqProv: no

%description -n glibc-linuxthreads%{_mvl_pkg_suffix}
Contains a set of the standard libraries which are built to support
the Linuxthreads threading model.  The default libraries now use the
NPTL threading model; the Linuxthreads libraries can be used to provide
additional backward compatibility for existing applications.

%endif

# glibc-prof
%package -n glibc-prof%{_mvl_pkg_suffix}
Summary: GNU C Library: Profiling Libraries.
Group: devel
Requires: glibc%{_mvl_pkg_suffix} = %{version}
Obsoletes: hhl-%{_mvl_target_arch}-glibc-prof%{_mvl_pkg_suffix}

%description -n glibc-prof%{_mvl_pkg_suffix}
Static libraries compiled with profiling info (-pg) suitable for use
with gprof.

# glibc-pic
%package -n glibc-pic%{_mvl_pkg_suffix}
Summary: GNU C Library: PIC archive library
Group: devel
Requires: glibc%{_mvl_pkg_suffix} = %{version}
Obsoletes: hhl-%{_mvl_target_arch}-glibc-pic%{_mvl_pkg_suffix}

%description -n glibc-pic%{_mvl_pkg_suffix}
Contains an archive library (ar file) composed of individual shared objects.
This is used for creating a library which is a smaller subset of the
standard libc shared library.

# glibc-libopt
%package -n glibc-libopt%{_mvl_pkg_suffix}
Summary: GNU C Library: Library Optimizer information
Group: devel
Requires: glibc%{_mvl_pkg_suffix} = %{version}
Obsoletes: hhl-%{_mvl_target_arch}-glibc-libopt%{_mvl_pkg_suffix}

%description -n glibc-libopt%{_mvl_pkg_suffix}
Contains information for the Library Optimizer Tool.
This is used for creating libraries which are a smaller subset of the
standard shared libraries.


# wrap up non-ABI-specific packages so that they dont build
# every time you build the glibc spec file
%if "%{_mvl_pkg_suffix}" == ""

# glibc-locales
%package -n glibc-locales
Summary: GNU C Library: National Language (locale) data [support]
Group: admin
#Requires: glibc-i18ndata = %{version}
Obsoletes: hhl-%{_mvl_target_arch}-glibc-locales

%description -n glibc-locales
Machine-readable data files, shared objects and programs used by the
C library for localization (l10n) and internationalization
(i18n) support.

This package contains the libc.mo i18n files, plus tools to generate
locale definitions from the i18ndata package. It allows you to customize
which definitions actually get generated.

# glibc-i18ndata
%package -n glibc-i18ndata
Summary: GNU C Library: National Language (locale) data [source]
Group: admin
Obsoletes: hhl-%{_mvl_target_arch}-glibc-i18ndata

%description -n glibc-i18ndata
Machine-readable data files used by the C library
for localization and internationalization support.

This package contains uncompiled source data for locales. To compile
locale definitions, you must have the `locales' package as well.

# glibc-nscd
%package -n glibc-nscd
Summary: GNU C Library: Name Service Cache Daemon
Group: admin
Requires: glibc = %{version}
Obsoletes: hhl-%{_mvl_target_arch}-glibc-nscd

%description -n glibc-nscd
A daemon which handles passwd and group lookups
for running programs and caches the results for the next
query. You should install this package only if you use
slow Services like LDAP, NIS or NIS+.

# glibc-doc
%package -n glibc-doc
Summary: GNU C Library: Documentation
Group: docs
Obsoletes: hhl-%{_mvl_target_arch}-glibc-doc

%description -n glibc-doc
Contains The GNU C Library Reference manual in info format as well as man
pages for libpthread functions. Also included is the complete GNU C Library
ChangeLog.

%endif

# Add in debuginfo stuff.. this should match the
# definition in the common-rpm macros
%if "%{_enable_debug_packages}" == "1"
%define debug_package %{nil}

%package debuginfo%{_mvl_pkg_suffix}
Summary: Debug information for package %{name}
Group: devel-debug
%description debuginfo%{_mvl_pkg_suffix}
This package provides debug information for package %{name}.
Debug information is useful when developing applications that use this
package or when debugging this package.
%endif

####################
#  PREP
#
%prep
%target_check
%target_setup
%setup -n glibc-%{version} -q

# glibc22-ttyname-devfs.dpatch
%patch1 -p0

# librt-mips.dpatch
%patch2 -p0

# glibc23-ctype-compat.dpatch
%patch3 -p1

# glibc23-function-compat.dpatch
%patch4 -p1

# glibc-2.3.2-cvs-errno.dpatch
%patch5 -p1

# libgcc-compat-all.dpatch
%patch6 -p0

# libgcc-compat-other.dpatch
%patch7 -p1

# ldd.dpatch
%patch8 -p1

# tcsetattr.dpatch
%patch9 -p1

# glibc-arm_memcpy.patch
%patch10 -p1

# glibc-2.3.2-cvs-405-atomicity.patch
%patch11 -p1

# glibc-2.3.2-cvs-sh.patch
%patch12 -p1

# glibc-sh-pread_pwrite.patch
%patch13 -p1

# glibc-arm_sa_be.patch
%patch14 -p1

# glibc-xtensa_linux_common.patch
%patch15 -p1

# glibc-2.2.5-xtensa_memcpy.patch
%patch16 -p1

# glibc-2.2.5-xtensa_strlen.patch
%patch17 -p1

# glibc-2.2.5-xtensa_align.patch
%patch18 -p1

# glibc-2.3.2-xtensa_configure.patch
%patch19 -p1

# glibc-2.3.2-xtensa_sysdep-cancel.h.patch
%patch20 -p1

# glibc-2.3.2-xtensa_tls.h.patch
%patch21 -p1

# glibc-2.3.2-xtensa_ptrace.h.patch
%patch22 -p1

# glibc-2.3.2-xtensa_dl-machine.h.patch
%patch23 -p1

# glibc-2.3.2-xtensa-noerrno.patch
%patch24 -p1

# glibc-2.2.5-xtensa_segfault.patch
%patch25 -p1

# glibc-2.2.5-xtensa_ipc.patch
%patch26 -p1

# glibc-2.2.5-xtensa_nosyscall.patch
%patch27 -p1

# glibc-2.2.5-xtensa_profil.patch
%patch28 -p1

# glibc-2.3.2-xtensa_msq.h.patch
%patch29 -p1

# glibc-2.2.5_xtensa_hal.patch
%patch30 -p1

# glibc-2.2.5-xtensa_cleanup.patch
%patch31 -p1

# glibc-xtensa_missing_files.patch
%patch32 -p1

# glibc-2.2.5-xtensa_setjmp.patch
%patch33 -p1

# glibc-2.3.2-xtensa_linux26.patch
%patch34 -p1

# glibc-xtensa-stat.patch
%patch35 -p1

# glibc-xtensa-umount.patch
%patch36 -p1

# glibc-xtensa-ipc_h.patch
%patch37 -p1

# glibc-lock-memory.patch
%patch38 -p1

# glibc-libthread_db-static.patch
%patch39 -p1

# glibc-2.2.5_mips_nfp.patch
%patch40 -p1

# glibc-2.2.5-sh-compat.patch
%patch41 -p1

# glibc-2.3.2-vfork-backtrace.patch
%patch42 -p1

# glibc-2.3.2-mips-vfork.patch
%patch43 -p1

# hhl-glibc-libgcc-compat.patch
%patch44 -p1

# glibc-lsb-locale.patch
%patch45 -p1

# glibc-2.2.5-rel_calc.patch
%patch46 -p1

# glibc-2.3.2-prelink-diagnostic.patch
%patch47 -p1

# glibc-2.3.2-elcstd.patch
%patch48 -p1

# glibc-2.3.2-sh4_syscallfix.patch
%patch49 -p1

# mvl-glibc-2.3.2-isv-compat.patch
%patch50 -p1

# glibc-2.2.5-mips-profile.patch
%patch51 -p1

# mvl-glibc-2.3.2-iwmmxt-stat.patch
%patch52 -p1

# mvl-glibc-2.3.2-iwmmxt-stack.patch
%patch53 -p1

# mvl-glibc-2.3.2-iwmmxt-vfp.patch
%patch54 -p1

# glibc-libgcc_eh.patch
%patch55 -p1

# glibc-2.3.2-sjlj.patch
%patch56 -p1

# glibc-mips-jalr-gp.patch
%patch57 -p1

# glibc-2.3.2-arm-waitpid.patch
%patch58 -p1

# glibc-2.3.2-mips64-ptrace.patch
%patch59 -p1

# glibc-2.3.2-cvs-mips64-implies.patch
%patch60 -p1

# glibc-2.3.2-cvs-mips64-cancels.patch
%patch61 -p1

# glibc-2.3.2-cvs-mips-timers.patch
%patch62 -p1

# glibc-2.3.2-sig_race.patch
%patch63 -p1

# glibc-mvl-nptl-gcc3.4.patch
%patch64 -p1

# glibc-2.3.2-ppc-fix-soft-float.patch
%patch65 -p1

# glibc-2.3.2-ldt-overflow.patch
%patch66 -p1

# glibc-2.3.2-x86_em64t-multilib32_linuxthreads-fno_unit_at_a_time.patch
%patch67 -p1

# glibc-2.3.2-x86_em64t-multilib32_sysdeps-fno_unit_at_a_time.patch
%patch68 -p1

# glibc-2.3.2-scanfproblem.patch
%patch69 -p1

# glibc-2.3.2-arm-spinlock.patch
%patch70 -p1

# glibc-2.3.2-getenv.patch
%patch71 -p1

# glibc-2.3.2-thumb.patch
%patch72 -p1

# glibc-arm-interwork-returns.patch
%patch73 -p1

# glibc-2.3.2-cvs-affinity-2.patch
%patch74 -p1

# glibc-2.3.2-thumb-syscall.patch
%patch75 -p1

# glibc-2.3.2-realpath.patch
%patch76 -p1

# glibc-2.3.2-mips-msqid.patch
%patch77 -p1

# glibc-disable-sanity.patch
%patch78 -p1

# glibc-2.3.3-bug_7941-workaround.patch
%patch79 -p1

# glibc-2.3.3-bug_8132-workaround.patch
%patch80 -p1

# glibc-arm-linux26.patch
%patch81 -p1

# glibc-arm-tls.patch
%patch82 -p1

# glibc-mips-noforceabi.patch
%patch83 -p1

# glibc-mips-throwmacro.patch
%patch84 -p1

# glibc-no_locale_archive.patch
%patch85 -p1

# glibc-i386-useldt.patch
%patch86 -p1

# glibc-arm-tls-old-kernels.patch
%patch87 -p1

# glibc-nptl-new-binutils-errno.patch
%patch88 -p1

# glibc-arm-eabi.patch
%patch89 -p1

# glibc-arm-eabi-exception-tables.patch
%patch90 -p1

# glibc-arm-eabi-nptl.patch
%patch91 -p1

# glibc-arm-vfp-fixes.patch
%patch92 -p1

# glibc-arm-swp-fixes.patch
%patch93 -p1

# glibc-arm-nptl-eabi-unwinding.patch
%patch94 -p1

# glibc-ldd-syntax.patch
%patch95 -p1

# glibc-errno-backports.patch
%patch96 -p1

# glibc-mips-nptl.patch
%patch97 -p1

# glibc-mips-atomicity.patch
%patch98 -p1

# glibc-arm-gmon-segfault.patch
%patch99 -p1

# glibc-cross_sunrpc.patch
%patch100 -p1

# glibc-pt_chown.patch
%patch101 -p1

# glibc-2.3.3-udp.patch
%patch102 -p1

# glibc-mips_syscall-2.patch
%patch103 -p1

# glibc-separate-debug-file.patch
%patch104 -p1

# glibc-numa-policy.patch
%patch105 -p1

# glibc-CAN2004-1453.patch
%patch106 -p1

# glibc-arm-SHMLBA.patch
%patch107 -p1

# glibc-malloc-deadlock.patch
%patch108 -p1

# glibc-_JCR_LIST.patch
%patch109 -p1

# glibc-arm-eabi-syscall-structure-alignment.patch
%patch110 -p1

# glibc-tcb-pre-offset.patch
%patch111 -p1

# glibc-pthread-exit.patch
%patch112 -p1

# glibc-link-against-libc-nonshared.patch
%patch113 -p1

# glibc-arm-revised-tls.patch
%patch114 -p1

# glibc-mips64-nptl.patch
%patch115 -p1

# glibc-mips-n64-sockets.patch
%patch116 -p1

# glibc-linker-script-align.patch
%patch117 -p1

# glibc-mips-n64-backports.patch
%patch118 -p1

# glibc-raq2_librt_linking-1.patch
%patch119 -p1

# glibc-2.3.3-pthread_exit.patch
%patch120 -p1

# glibc-context.patch
%patch121 -p1

# glibc-ppc64-PR610.patch
%patch122 -p1

# glibc-2.3.3-getaddrinfo.patch
%patch123 -p1

# glibc-2.3.3-malloc-hooks.patch
%patch124 -p1

# glibc-2.3.3-semadj.patch
%patch125 -p1

# glibc-RTABI_functions.patch
%patch126 -p1

# glibc-2.3.3-nptl-static-link.patch
%patch127 -p1

# glibc-ppc_kernel_features.patch
%patch128 -p1

# glibc-arm_posix_fadvise64.patch
%patch129 -p1

# glibc-2.3.3-nis_assert_check.patch
%patch130 -p1

# glibc-2.3.3-spurious_space_before_tab.patch
%patch131 -p1

# glibc-2.3.3-e_hypotf.patch
%patch132 -p1

# glibc-2.3.3-EINTR_restart.patch
%patch133 -p1

# glibc-2.3.3-pi_lo_value.patch
%patch134 -p1

# glibc-2.3.3-memset_argument_handling.patch
%patch135 -p1

# glibc-2.3.3-nis_size_reduction.patch
%patch136 -p1

# glibc-2.3.3-arm_prelink.patch
%patch137 -p1

# glibc-unterminated-eh-frame.patch
%patch138 -p1

# glibc-spe-support.patch
%patch139 -p1

# glibc-SHN_UNDEF.patch
%patch140 -p1

# glibc-getsubopt_gnulib.patch
%patch141 -p1

# glibc-socket_addr_length.patch
%patch142 -p1

# glibc-ppc_procfs_uint128.patch
%patch143 -p1

# glibc-mips64_syscall.patch
%patch144 -p1

# glibc-IO_fileops.patch
%patch145 -p1

# glibc-arm_memset.patch
%patch146 -p1

# glibc-powerpc_libm_test.patch
%patch147 -p1

# glibc-pthread_mutex_waiters.patch
%patch148 -p1

# glibc-fopen64.patch
%patch149 -p1

# glibc-x86-64-thread-debug.patch
%patch150 -p1

# glibc-2.3.3-timezone-update.patch
%patch151 -p1

# glibc-debug_state.patch
%patch152 -p1

# glibc-mips-posix-fadvise64.patch
%patch153 -p1

# glibc-ldconfig-linkfix.patch
%patch154 -p1

# glibc-nptl-static-debug.patch
%patch155 -p1

# glibc-nptl-serialize-debug.patch
%patch156 -p1

# glibc-dlopen-mem-leak.patch
%patch157 -p1

# glibc-2.3.3-setuid.patch
%patch158 -p1

# glibc-2.3.3-binutils-2.16-compatibility.patch
%patch159 -p1

# glibc-2.3.3-frandom-detect.patch
%patch160 -p1

# glibc-2.3.3-localedef-fix-trampoline.patch
%patch161 -p1

# glibc-2.3.3-tempfile.patch
%patch162 -p1

# glibc-fix_erfcl_prototype.patch
%patch163 -p1

# glibc-mips64-cavium-sdk120.patch
%patch164 -p1

# glibc-libio-wgenops.patch
%patch165 -p1

# glibc-linuxthreads-sig-check.patch
%patch166 -p1

# glibc-nptl-reset-pid-on-cached-stacks.patch
%patch167 -p1

# glibc-mips-vr4130-workaround.patch
%patch168 -p1

# glibc-fixes-backport-20060823.patch
%patch169 -p1

# glibc-fixes-backport-20060908.patch
%patch170 -p1


%if "%{_mvl_target_arch}" == "mips64_octeon_be"
%patch999 -p1
%endif

# This file used to assume a 32-byte cache line; therefore it didn't work
# on 8xx or 403 (which have 16-byte cache lines).  That was fixed, but now
# it triggers a hardware bug on the MPC860.  Disable it for ppc_8xx.
%if "%{_mvl_target_arch}" == "ppc_8xx"
  rm -f sysdeps/powerpc/powerpc32/memset.S
%endif

# Regenerate configure script to take into account changes from patches.
AUTOCONF=autoconf-%{autoconf_version}; export AUTOCONF
${AUTOCONF}


####################
#  BUILD
#
%build

# Needed for GCC 3.1
# The choice of inline limit is arbitrary but it must be high enough
# for all of the early relocation functions to be inlined.  Debian/SPARC
# uses 3000, which also works for MIPS, but SH needs more.

%target_setup

export CFLAGS='-g -O2'

%if "%{_mvl_target_arch}" == "ppc_85xx_dpfp"
export CFLAGS='-mcpu=8548 -mhard-float -g -O2'
%endif

# Touch all configure scripts.  Glibc requires autoconf 2.5x to build,
# which is awkward.
find . -name configure -exec touch '{}' ';'

# Things configure will get wrong:
#  - ac_tool_prefix=mipsel-hardhat-linux instead of mips_fp_le
#    (we override the only thing this is used for anyway)
#  - CPP=/lib/cpp instead of %{_mvl_target_toolprefix}gcc -E
#    when bootstrapping, because no <assert.h> exists for the
#    target.  No harm done, since it never invokes $(CPP) anyway.
ac_cv_prog_cc_works=no
export ac_cv_prog_cc_works
ac_cv_prog_cc_cross=yes
export ac_cv_prog_cc_cross

# This test relies on -lgcc_eh, which isn't built yet for gcc-bootstrap.
# The value is verified correct for ARM, MIPS, x86, SH, PowerPC.
libc_cv_gcc_dwarf2_unwind_info=no_registry_needed

# This test links to -lc.  Which isn't built yet, of course.
libc_cv_asm_set_directive=yes

# Unforunately, glibc's configure script tries to locate perl in $PATH
# and then run it.  Force it to pick up the right location.
export PERL=/usr/bin/perl

# Other add-ons besides the threading library.
AddOns=,libidn
%if "%{_mvl_target_arch}" == "ppc_85xx"
AddOns=,libidn,spe
%endif
%if "%{_mvl_target_arch}" == "ppc_85xx_dpfp"
AddOns=,libidn,spe
%endif

# When you run multiple versions of glibc using the same dynamic loader,
# they have to be configured very similarly.  Changing which thread add-on
# is used works.  Changing which kernel is required works.  Changing
# whether TLS is supported does not work; if the linker includes TLS support
# but libc does not, dlopen will crash.
%if "%{build_nptl}" == "yes"
tlsopt=--with-tls
%else
tlsopt=--without-tls
%endif

%if "%{build_NUMA}" == "yes"
numaopt=--with-numa-policy=yes
%else
numaopt=%{nil}
%endif

%define _objdir objdir

# Build LinuxThreads libraries
%target_tool_configure \
	--libexecdir=%{_mvl_target_lib_dir} \
	--enable-add-ons=linuxthreads$AddOns \
	--without-cvs \
	$tlsopt --without-__thread \
	--enable-kernel=2.4.17 \
%if "%{_mvl_target_fpu}" == "no"
	--without-fp \
%endif
%if "%{_mvl_target_altivec}" == "yes"
	--with-altivec=default \
%endif
	$numaopt \
	2>&1

%if "%{_mvl_pkg_suffix}" != ""
# Since we are building an -alt package, the installed GCC will be cross-gcc
# rather than cross-gcc-bootstrap.  The specs file will reference libgcc_eh.a.
# However, the particular multilib we're building may not have libgcc_eh.a
# yet; everything will be in libgcc.a in that case.  If we don't have it, then
# create a dummy version.  We can't use -print-file-name=libgcc_eh.a, because
# that may find the default multilib's version.
libgcc_path=`$CC -print-file-name=libgcc.a  | sed s/libgcc/libgcc_eh/`
if ! test -f $libgcc_path; then
  $AR cq $libgcc_path
fi
%endif

%dmake	2>&1

%make -C ../linuxthreads/man all

cd ..

%if "%{build_nptl}" == "yes"

# Build NPTL libraries in secondary objdir
%define _objdir objdir-nptl

# Can't link these tests cross at build time because the require parts of
# glibc that aren't built yet.
libc_cv_forced_unwind=yes; export libc_cv_forced_unwind
libc_cv_c_cleanup=yes; export libc_cv_c_cleanup

mkdir -p %{_objdir}

%target_tool_configure \
	--libexecdir=%{_mvl_target_lib_dir} \
	--enable-add-ons=nptl$AddOns \
	--without-cvs \
	--with-tls --with-__thread \
	--enable-kernel=2.6.1 \
%if "%{_mvl_target_fpu}" == "no"
	--without-fp \
%endif
%if "%{_mvl_target_altivec}" == "yes"
	--with-altivec=default \
%endif
	$numaopt \
	2>&1

%dmake	2>&1

# Restore default objdir
%define _objdir objdir

cd ..

%endif

#if cross compiling....
mkdir -p LOCALOBJDIR
pushd LOCALOBJDIR
cp -a ../timezone/* .
tar xvfz %{SOURCE10}
# Because the make file expects it...
mv yearistype yearistype.sh
%make 2>&1
popd
#endif cross compiling....


####################
#  INSTALL
#
%install
%target_setup

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mvl_cross_target_dir}

# Install LinuxThreads as the default library
cd %{_objdir}
%make install_root=%{buildroot}%{_mvl_cross_target_dir} install 2>&1

%if "%{build_nptl}" == "yes"

# Install NPTL development and runtime support
pushd ../objdir-nptl

# Create a complete NPTL install in a local directory
%make install_root=`pwd`/install-nptl install 2>&1

# Move runtime libraries to the buildroot
rm -f install-nptl/%{_mvl_target_lib}/ld*
mv install-nptl/%{_mvl_target_lib} \
	%{buildroot}%{_mvl_cross_target_dir}/%{_mvl_target_lib}/tls

# Move development libraries to the buildroot
rm -rf install-nptl%{_mvl_target_lib_dir}/gconv
rm -rf install-nptl%{_mvl_target_lib_dir}/pt_chown
mv install-nptl%{_mvl_target_lib_dir} \
	%{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl

# Fix up the development links to reference the NPTL libraries.
pushd %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl
for lib in *.so; do
  if test -L $lib; then
    target=`readlink $lib | sed s,\.\./%{_mvl_target_lib}/,../../%{_mvl_target_lib}/tls/,`
    rm -f $lib
    ln -s $target $lib
  else
    mv $lib $lib.tmp
    cat $lib.tmp \
      | sed "s, /%{_mvl_target_lib}/, /%{_mvl_target_lib}/tls/,g" \
      | sed "s, %{_mvl_target_lib_dir}/, %{_mvl_target_lib_dir}/nptl/,g" \
      > $lib
    rm -f $lib.tmp
  fi
done
popd

# Move header files to the buildroot
mv install-nptl%{_mvl_target_include_dir} \
	%{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}/nptl


# Remove duplicate header files
pushd %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}/nptl
find * -type f -print | while read file ; do
    if [ -f ../$file ] && cmp -s $file ../$file; then
	rm -f $file
    fi
done
# Remove empty header directories
find * -type d -depth -exec rmdir {} \; 2>/dev/null
popd

# Return to default objdir
popd

%endif
#add empty /etc/ld.so.conf file
touch %{buildroot}%{_mvl_cross_target_dir}/etc/ld.so.conf

%if "%{_mvl_target_cpu}" == "x86_64"
wrap_headers="bits/a.out.h bits/byteswap.h bits/fenv.h \
	      bits/huge_vall.h bits/mathdef.h bits/mathinline.h \
	      bits/mman.h bits/msq.h bits/sem.h bits/setjmp.h bits/shm.h \
	      bits/syscall.h bits/xtitypes.h fpu_control.h \
	      gnu/lib-names.h nptl/bits/pthreadtypes.h nptl/bits/semaphore.h \
	      sys/debugreg.h sys/elf.h sys/epoll.h sys/io.h sys/perm.h \
	      sys/procfs.h sys/reg.h sys/user.h sys/vm86.h"
%endif

# Move any wrapped headers.  Headers which exist in only one ABI or the
# other will generate an error at runtime if used in the other ABI; we
# don't know here which they will be.
if test -n "%{_wrap_dir}"; then
  pushd %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
  mkdir %{_wrap_dir}
  for file in ${wrap_headers}; do
    if test -f $file; then
      dir=`dirname $file`
      mkdir -p %{_wrap_dir}/$dir
      mv $file %{_wrap_dir}/$file
    fi
  done
  popd
fi

%if "%{_mvl_pkg_suffix}" == ""

# Create any header wrappers.
if test -n "%{_wrap_dir}"; then
  pushd %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
  for file in ${wrap_headers}; do
    macro=`echo $file | sed "s,[./],_,g"`
    cat <<EOF > $file
#ifndef __MV_WRAPPER_$macro
#define __MV_WRAPPER_$macro

#ifdef %{_wrap_test}
#include <%{_wrap_yes}/$file>
#else
#include <%{_wrap_no}/$file>
#endif

#endif /* ! __MV_WRAPPER_$macro */
EOF
  done
  popd
fi

%if "%{_mvl_target_cpu_type}" == "x86"
%if "%{_mvl_target_cpu}" != "x86_64"
%make install_root=%{buildroot}%{_mvl_cross_target_dir} \
        objdir=`pwd` -C ../localedata install-locales   \
        2>&1
%endif
%endif

(cd ../manual && makeinfo --html libc.texinfo)
%else

# For alternate ABI packages, delete all un-wrapped headers.
if test -n "%{_wrap_dir}"; then
  dir=%{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
  mv $dir/%{_wrap_dir} $dir/../%{_wrap_dir}
  rm -rf $dir
  mkdir $dir
  mv $dir/../%{_wrap_dir} $dir/%{_wrap_dir}  
fi

%endif

mkdir -p %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/init.d
mkdir -p %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/default

# nsswitch.conf
install -m 644 %{SOURCE20} %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/.
# host.conf
install -m 644 %{SOURCE21} %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/.
# Should this still be in the glibc package?
install -m 755 %{SOURCE34} %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/default/devpts

install -m 755 %{SOURCE35} %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/init.d/nscd
install -m 755 %{SOURCE36} %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/.

#if cross compiling....
( cd ../LOCALOBJDIR
export TZBASE="africa antarctica asia australasia europe northamerica southamerica etcetera factory solar87 solar88 solar89 backward systemv"
./zic -d %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/zoneinfo/right/ -L leapseconds -y yearistype $TZBASE
./zic -d %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/zoneinfo/posix/ -L /dev/null -y yearistype $TZBASE
./zic -d %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/zoneinfo/ -L /dev/null -y yearistype $TZBASE
cp %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/zoneinfo/America/New_York %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/zoneinfo/posixrules
)
#endif

# Install libc_pic in the correct location
mkdir -p           %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic

install -m 644 libc_pic.a      %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/.
install -m 644 libc.map        %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic.map

install -m 644 elf/soinit.os   %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic/soinit.o
install -m 644 elf/sofini.os   %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic/sofini.o

install -m 644 elf/interp.os   %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic/interp.o

install -m 644 math/libm_pic.a %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/.
install -m 644 libm.map        %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libm_pic.map

install -m 644 resolv/libresolv_pic.a %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/.
install -m 644 libresolv.map   %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libresolv_pic.map

install -m 644 linuxthreads/libpthread_pic.a %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/
install -m 644 libpthread.map %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libpthread_pic.map

%if "%{build_nptl}" == "yes"
pushd ../objdir-nptl
install -m 644 nptl/libpthread_pic.a %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl
install -m 644 libpthread.map %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libpthread_pic.map
popd
%endif




# Set Library Optimizer variables
%define _optdir %{buildroot}%{_mvl_cross_target_dir}/usr/lib/optinfo
OBJECTDIR=`/bin/pwd`

# Install Library Optimizer information (libc-linuxthreads)
install -d -m 755 %{_optdir}/%{_libc}
sed -e "s|@CFLAGS@|%{_mvl_target_cflags}|g" -e "s|@LIBDIR@|%{_mvl_target_lib}|g"  -e "s|@TLSDIR@||g" %{SOURCE22} > build.libc
install -m 755 build.libc %{_optdir}/%{_libc}/build
install -m 644 libc.map %{_optdir}/%{_libc}/libc.map
install -m 644 shlib.lds %{_optdir}/%{_libc}/libc.so.lds
install -m 644 csu/abi-note.o %{_optdir}/%{_libc}/
[ -f csu/numa-note.o ] && install -m 644 csu/numa-note.o %{_optdir}/%{_libc}/
install -m 644 elf/soinit.os %{_optdir}/%{_libc}/soinit.o
install -m 644 elf/sofini.os %{_optdir}/%{_libc}/sofini.o
install -m 644 elf/interp.os %{_optdir}/%{_libc}/interp.o
(cd %{_optdir}/%{_libc}; umask 022; %{_mvl_target_toolprefix}ar x $OBJECTDIR/libc_pic.a)
(cd %{_optdir}/%{_libc}; umask 022; %{_mvl_target_toolprefix}libindex $OBJECTDIR/libc.so -r *.o -o *.os > index)
(umask 022; echo "/%{_mvl_target_lib}/libc-"%{version}".so" > %{_optdir}/%{_libc}/path)

# Install Library Optimizer information (libm-linuxthreads)
install -d -m 755 %{_optdir}/%{_libm}
sed -e "s|@CFLAGS@|%{_mvl_target_cflags}|g" -e "s|@LIBDIR@|%{_mvl_target_lib}|g"  -e "s|@TLSDIR@||g" %{SOURCE23} > build.libm
install -m 755 build.libm %{_optdir}/%{_libm}/build
install -m 644 libm.map %{_optdir}/%{_libm}/libm.map
install -m 644 shlib.lds %{_optdir}/%{_libm}/libm.so.lds
install -m 644 csu/abi-note.o %{_optdir}/%{_libm}/
[ -f csu/numa-note.o ] && install -m 644 csu/numa-note.o %{_optdir}/%{_libc}/
install -m 644 elf/interp.os %{_optdir}/%{_libm}/interp.o
install -m 644 libc_nonshared.a %{_optdir}/%{_libm}/libc_nonshared.a
(cd %{_optdir}/%{_libm}; umask 022; %{_mvl_target_toolprefix}ar x $OBJECTDIR/math/libm_pic.a)
(cd %{_optdir}/%{_libm}; umask 022; %{_mvl_target_toolprefix}libindex $OBJECTDIR/math/libm.so -r *.o -o *.os > index)
(umask 022; echo "/%{_mvl_target_lib}/libm-"%{version}".so" > %{_optdir}/%{_libm}/path)

%if "%{build_nptl}" == "yes"

pushd ../objdir-nptl
OBJECTDIR=`/bin/pwd`

# Install Library Optimizer information (libc-nptl)
install -d -m 755 %{_optdir}/%{_libc}.nptl
sed -e "s|@CFLAGS@|%{_mvl_target_cflags}|g" -e "s|@LIBDIR@|%{_mvl_target_lib}|g"  -e "s|@TLSDIR@|%{_tlsdir}|g" %{SOURCE22} > build.libc
install -m 755 build.libc %{_optdir}/%{_libc}.nptl/build
install -m 644 libc.map %{_optdir}/%{_libc}.nptl/libc.map
install -m 644 shlib.lds %{_optdir}/%{_libc}.nptl/libc.so.lds
install -m 644 csu/abi-note.o %{_optdir}/%{_libc}.nptl/
[ -f csu/numa-note.o ] && install -m 644 csu/numa-note.o %{_optdir}/%{_libc}.nptl/
install -m 644 elf/soinit.os %{_optdir}/%{_libc}.nptl/soinit.o
install -m 644 elf/sofini.os %{_optdir}/%{_libc}.nptl/sofini.o
install -m 644 elf/interp.os %{_optdir}/%{_libc}.nptl/interp.o
(cd %{_optdir}/%{_libc}.nptl; umask 022; %{_mvl_target_toolprefix}ar x $OBJECTDIR/libc_pic.a)
(cd %{_optdir}/%{_libc}.nptl; umask 022; %{_mvl_target_toolprefix}libindex $OBJECTDIR/libc.so -r *.o -o *.os > index)
(umask 022; echo "/%{_mvl_target_lib}%{_tlsdir}/libc-"%{version}".so" > %{_optdir}/%{_libc}.nptl/path)

# Install Library Optimizer information (libm-nptl)
install -d -m 755 %{_optdir}/%{_libm}.nptl
sed -e "s|@CFLAGS@|%{_mvl_target_cflags}|g" -e "s|@LIBDIR@|%{_mvl_target_lib}|g"  -e "s|@TLSDIR@|%{_tlsdir}|g" %{SOURCE23} > build.libm
install -m 755 build.libm %{_optdir}/%{_libm}.nptl/build
install -m 644 libm.map %{_optdir}/%{_libm}.nptl/libm.map
install -m 644 shlib.lds %{_optdir}/%{_libm}.nptl/libm.so.lds
install -m 644 csu/abi-note.o %{_optdir}/%{_libm}.nptl/
[ -f csu/numa-note.o ] && install -m 644 csu/numa-note.o %{_optdir}/%{_libc}.nptl/
install -m 644 elf/interp.os %{_optdir}/%{_libm}.nptl/interp.o
install -m 644 libc_nonshared.a %{_optdir}/%{_libm}.nptl/libc_nonshared.a
(cd %{_optdir}/%{_libm}.nptl; umask 022; %{_mvl_target_toolprefix}ar x $OBJECTDIR/math/libm_pic.a)
(cd %{_optdir}/%{_libm}.nptl; umask 022; %{_mvl_target_toolprefix}libindex $OBJECTDIR/math/libm.so -r *.o -o *.os > index)
(umask 022; echo "/%{_mvl_target_lib}%{_tlsdir}/libm-"%{version}".so" > %{_optdir}/%{_libm}.nptl/path)

# Return to default objdir
popd

%endif


%if "%{_mvl_pkg_suffix}" == ""
mkdir -p %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}
mv %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/locale/locale.alias %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/locale.alias
ln -s ../../..%{_mvl_target_sysconf_dir}/locale.alias %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/locale/locale.alias

%endif
cd ..

%if "%{_mvl_pkg_suffix}" == ""
mkdir -p %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man3
install -m 644 linuxthreads/man/*.3thr %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man3/.

install -m 644 nscd/nscd.conf %{buildroot}%{_mvl_cross_target_dir}/etc/nscd.conf


# RPM is on crack..  We need to "prepare" the doc files..
cp -pr nptl/ChangeLog ChangeLog.nptl
cp -pr linuxthreads/ChangeLog ChangeLog.linuxthreads
cp -pr linuxthreads/Changes Changes.linuxthreads
cp -pr linuxthreads/LICENSE LICENSE.linuxthreads
cp -pr linuxthreads/README README.linuxthreads
cp -pr linuxthreads/FAQ.html FAQ.threads.html
cp -pr localedata/ChangeLog ChangeLog.localedata
cp -pr localedata/README README.localedata

gzip -9 %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man*/*
gzip -9 %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_info_dir}/*

mv %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/zdump %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/
mv %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/rpcinfo %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/

# Get manual files generated by makeinfo
mkdir -p html
cp manual/libc/*.html html/

%endif

# Make sure we always have .../target/usr/lib (needed for MIPS64)
mkdir -p %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_exec_prefix}/lib

# Don't install an info directory file; should be built in common for all pkgs.
rm -f %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_info_dir}/dir.gz

# rquota.x and rquota.h are now provided by quota
rm -f  %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_exec_prefix}/include/rpcsvc/rquota.[hx]

%if "%{_enable_debug_packages}" == "1"

echo Building debuginfo subpackage...

blf=debugfiles.list
sf=debugsources.list

echo -n > $sf

debugdir="$RPM_BUILD_ROOT/%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/debug"

# Create filelist for stripping
find $RPM_BUILD_ROOT/%{_mvl_cross_target_dir} -path "${debugdir}" \
	-prune -o -type f \( -perm -0100 -or -perm \
	-0010 -or -perm -0001 \) -exec file {} \; | \
	sed -n -e 's/^\(.*\):[  ]*.*ELF.* executable.*, not stripped/\1/p' | sed -e 's?//*?/?g' > installed_file.list

find $RPM_BUILD_ROOT/%{_mvl_cross_target_dir} -path "${debugdir}" \
        -prune -o -type f \( -perm -0100 -or -perm \
        -0010 -or -perm -0001 \) -exec file {} \; | \
        sed -n -e 's/^\(.*\):[  ]*.*ELF.* shared object.*, not stripped/\1/p' | sed -e 's?//*?/?g' > installed_file_so.list 

# Run standard debuginfo scripts
for f in `cat installed_file.list installed_file_so.list`
do
        dn=$(dirname $f | sed -n -e "s#^$RPM_BUILD_ROOT##p" | sed -n -e "s#%{_mvl_cross_target_dir}##p")
        bn=$(basename $f .debug).debug

        debugdn="${debugdir}${dn}"
        debugfn="${debugdn}/${bn}"
        [ -f "${debugfn}" ] && continue

        mkdir -p "${debugdn}"
        echo extracting debug info from $f
        %{_mvl_runtime_path}/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug -l "$sf" "$f"

	# Only strip debug-symbols from */lib?/* files
	case $f in
	  %{buildroot}%{_mvl_cross_target_dir}/%{_mvl_target_lib}*)
            if [[ ${bn} == libc-* || ${bn} == libm-* || ${bn} == lib*thread* ]] ; then
               %{_mvl_runtime_path}/eu-strip --remove-comment -f "${debugfn}" "$f" || :
            else
 	       %{_mvl_runtime_path}/eu-strip --remove-comment -g -f "${debugfn}" "$f" || :
            fi
	    ;;
          *)
            %{_mvl_runtime_path}/eu-strip --remove-comment -f "${debugfn}" "$f" || :
            ;;
        esac
done

find ${RPM_BUILD_ROOT}/%{_mvl_cross_target_dir}/%{_mvl_target_lib_dir}/debug -type f | sed -n -e "s#^$RPM_BUILD_ROOT##p" > $blf

%if "%{_mvl_pkg_suffix}" == ""
mkdir -p ${RPM_BUILD_ROOT}/%{_mvl_cross_target_dir}/usr/src/debug
cat $sf | (cd $RPM_BUILD_DIR; LANG=C sort -z -u | cpio -pd0m ${RPM_BUILD_ROOT}/%{_mvl_cross_target_dir}/usr/src/debug)
# stupid cpio creates new directories in mode 0700, fixup
find ${RPM_BUILD_ROOT}/%{_mvl_cross_target_dir}/usr/src/debug -type d -print0 | xargs -0 chmod a+rx

find ${RPM_BUILD_ROOT}/%{_mvl_cross_target_dir}/usr/src/debug -mindepth 1 -maxdepth 1 | sed -n -e "s#^$RPM_BUILD_ROOT##p" >> $blf
%endif


%endif

####################
#  CLEAN
#
%clean
rm -rf %{buildroot}


%files -n glibc%{_mvl_pkg_suffix}
%defattr(-,root,root)
%if "%{_mvl_pkg_suffix}" == ""
%doc BUGS FAQ INSTALL INTERFACE NEWS NOTES PROJECTS README CONFORMANCE
%doc COPYING COPYING.LIB hesiod/README.hesiod 
%doc LICENSES
%endif

%defattr(0644,root,root,0755)
%dir %{_mvl_cross_target_dir}%{_mvl_target_exec_prefix}/lib
%attr(0755,root,root) %{_mvl_cross_target_dir}/%{_mvl_target_lib}/ld-%{version}.so
%attr(-,root,root) %{_mvl_cross_target_dir}/%{_mvl_target_lib}/ld*.so.*
%dir %{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}
%attr(0755,root,root) %{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libc-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libanl-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libBrokenLocale-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libcidn-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libcrypt-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libdl-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libm-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libmemusage.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libnsl-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libnss_*-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libpcprofile.so
%frequires(libgcc_s.so.1) %{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libpthread-*.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libresolv-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/librt-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libSegFault.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libthread_db-*.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/libutil-%{version}.so
%attr(-,root,root) %{_mvl_cross_target_dir}/%{_mvl_target_lib}%{_tlsdir}/lib*.so.*
%if "%{_mvl_pkg_suffix}" == ""
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/catchsegv
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/getent
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/iconv
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/ldd
%if "%{_mvl_target_cpu_type}" == "x86"
%if "%{_mvl_target_cpu}" != "x86_64"
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/lddlibc4
%endif
%endif
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/locale
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/localedef
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/rpcgen
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/rpcinfo
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/tzselect
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/zdump
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/iconvconfig
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/zic
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/tzconfig
#create and package an empty /etc/ld.so.conf
%attr(0644, root, root) %fprovides (/etc/ld.so.conf) %{_mvl_cross_target_dir}/etc/ld.so.conf
%attr(0755, root, root) %frequires(/etc/ld.so.conf) %{_mvl_cross_target_dir}/sbin/ldconfig
%attr(0755,root,root) %{_mvl_cross_target_dir}/sbin/sln
%attr(04755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/pt_chown
%attr(0755,root,root) %config %{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/default/devpts
%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/zoneinfo
%config %{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/host.conf
%config %{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/nsswitch.conf
%config %{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/rpc
%endif
%attr(0755,root,root) %config %{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/init.d/nscd
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/gconv

%if "%{build_nptl}" == "yes"
%files -n glibc-linuxthreads%{_mvl_pkg_suffix}
%defattr(0644,root,root,0755)
%if "%{_mvl_pkg_suffix}" == ""
%doc LICENSE ChangeLog.linuxthreads
%doc Changes.linuxthreads LICENSE.linuxthreads README.linuxthreads
%endif
%attr(0755,root,root) %{_mvl_cross_target_dir}/%{_mvl_target_lib}/libc-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libanl-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libBrokenLocale-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libcidn-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libcrypt-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libdl-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libm-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libnsl-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libnss_*-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libpthread-*.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libresolv-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/librt-%{version}.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libSegFault.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libthread_db-*.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libutil-%{version}.so
%attr(-,root,root) %{_mvl_cross_target_dir}/%{_mvl_target_lib}/lib*.so.*
%endif


%files -n glibc-dev%{_mvl_pkg_suffix}
%defattr(-,root,root)
%if "%{_mvl_pkg_suffix}" == ""
%doc LICENSE
%endif

%defattr(0644,root,root,0755)
%if "%{_mvl_pkg_suffix}" == ""
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/gencat
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/getconf
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/mtrace
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/pcprofiledump
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/xtrace
%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
%else
%if "%{_wrap_dir}" != ""
%{_mvl_cross_target_dir}%{_mvl_target_include_dir}/%{_wrap_dir}
%endif
%endif
%attr(-,root,root) %{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/lib*.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libmemusage.so
%{_mvl_cross_target_dir}/%{_mvl_target_lib}/libpcprofile.so
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*.o
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libBrokenLocale.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libanl.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libbsd-compat.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_nonshared.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libcrypt.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libdl.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libg.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libieee.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libm.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libmcheck.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libnsl.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libpthread.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libpthread_nonshared.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libresolv.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/librpcsvc.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/librt.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libthread_db.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libutil.a
%if "%{build_nptl}" == "yes"
%dir %{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/*.o
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/lib*.so
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libBrokenLocale.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libanl.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libbsd-compat.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libc.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libc_nonshared.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libcrypt.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libdl.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libg.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libieee.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libm.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libmcheck.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libnsl.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libpthread.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libpthread_nonshared.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libresolv.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/librpcsvc.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/librt.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libthread_db.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/libutil.a
%endif

%files -n glibc-prof%{_mvl_pkg_suffix}
%defattr(-,root,root)
%attr(0644,root,root) %{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/*_p.a
%if "%{_mvl_pkg_suffix}" == ""
%doc LICENSE
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/sprof
%endif
%if "%{build_nptl}" == "yes"
%attr(0644,root,root) %{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/*_p.a
%endif


%files -n glibc-pic%{_mvl_pkg_suffix}
%defattr(-,root,root)
%if "%{_mvl_pkg_suffix}" == ""
%doc LICENSE
%endif

%defattr(0644,root,root,0755)
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic.map
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libm_pic.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libm_pic.map
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libresolv_pic.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libresolv_pic.map
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libpthread_pic.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libpthread_pic.map
%dir %{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic/soinit.o
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic/sofini.o
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libc_pic/interp.o
%if "%{build_nptl}" == "yes"
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/*_pic.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/nptl/*_pic.map
%endif


%files -n glibc-libopt%{_mvl_pkg_suffix}
%defattr(-,root,root)
%if "%{_mvl_pkg_suffix}" == ""
%doc LICENSE
%endif
%{_mvl_cross_target_dir}/usr/lib/optinfo/%{_libc}
%{_mvl_cross_target_dir}/usr/lib/optinfo/%{_libm}
%if "%{build_nptl}" == "yes"
%{_mvl_cross_target_dir}/usr/lib/optinfo/%{_libc}.nptl
%{_mvl_cross_target_dir}/usr/lib/optinfo/%{_libm}.nptl
%endif


# wrap up non-ABI-specific packages so that they dont build
# every time you build the glibc spec file
%if "%{_mvl_pkg_suffix}" == ""

%files -n glibc-locales
%defattr(0644,root,root,0755)
%attr(-,root,root) %doc LICENSE
%config %{_mvl_cross_target_dir}/etc/locale.alias
%if "%{_mvl_target_cpu_type}" == "x86"
%if "%{_mvl_target_cpu}" != "x86_64"
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/locale
%endif
%endif
%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/locale


%files -n glibc-i18ndata
%defattr(0644,root,root,0755)
%attr(-,root,root) %doc ChangeLog.localedata README.localedata
%attr(-,root,root) %doc LICENSE
%{_mvl_cross_target_dir}%{_mvl_target_data_dir}/i18n


%files -n glibc-nscd
%defattr(-,root,root)
%doc LICENSE
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/nscd
%attr(0755,root,root) %{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/nscd_nischeck
%attr(0644,root,root) %config %{_mvl_cross_target_dir}/etc/nscd.conf


%files -n glibc-doc
%defattr(-,root,root)
%doc FAQ.threads.html
%doc ChangeLog ChangeLog.[0-9]*
%if "%{build_nptl}" == "yes"
%doc ChangeLog.nptl
%endif
%doc LICENSE

%defattr(0644,root,root,0755)
%doc %{_mvl_cross_target_dir}%{_mvl_target_info_dir}/*.info*
%doc %{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man3/*
%doc html

%endif

%if "%{_enable_debug_packages}" == "1"
%files debuginfo%{_mvl_pkg_suffix} -f debugfiles.list
%defattr(-,root,root)
%endif

####################
#  CHANGELOG
#
%changelog
* Wed Sep 13 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 19176: DT_GNU_HASH enablement.
* Fri Sep  8 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- bug 19751: tracker bug for FSF`s glibc fixes backport to foundation.
* Tue Sep  5 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- bug 18402: generate sources only for default glibc package.
* Sat Aug 26 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- bug 19034: libpthread debug files are missing symbols.
* Wed Aug 23 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- bug 19617: tracker bug for FSF`s glibc fixes backport to foundation.
* Sat Aug 19 2006 Khem Raj <kraj@mvista.com>
- bug 19376: Add VR4133 restriction 15 support.
* Mon Jul 31 2006 Khem Raj <kraj@mvista.com>
- Bug 18862: Don't reuse PID of a cached terminated thread. 
* Thu Jul 20 2006 Khem Raj <kraj@mvista.com>
- Bug 19371: Fix xtensa umount.
* Tue Jun 27 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 19068: The sigignore function occurs segmentation fault.
* Fri Jun 23 2006 Khem Raj <kraj@mvista.com>
- Bug 19134: Fix clone system call for Xtensa.
* Fri Jun 9 2006 Qunying Pan <qpan@mvista.com>
- Bug 18852: Fix some nptl header file missing in multilib architectures.
* Thu Jun  8 2006 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 17545: Backport FSF fix Memory leak in fputws.
* Mon May 22 2006 Nitin Gupta <ngupta@mvista.com>
- Bug 18555: Merge Cavium_foundation_two_branch into Foundation two.
* Wed Apr 19 2006 Khem Raj <kraj@mvista.com>
- Bug 17504: Fix seteuid(), setegid().
* Wed Apr 19 2006 Khem Raj <kraj@mvista.com>
- Bug 18044: Fix xtensa vfork.
* Mon Apr 10 2006 Qunying Pan <qpan@mvista.com>
- Bug 17802: Add ld-linux.so.3 to libopt dynamic linker list.
* Mon Apr 3 2006 Qunying Pan <qpan@mvista.com>
- Bug 17749: Fix dlopen memory leaks.
* Thu Mar 30 2006 Khem Raj <kraj@mvista.com>
- Bug 17645: Various fixes for new Xtensa configs.
* Mon Mar 27 2006 Khem Raj <kraj@mvista.com>
- Bug 17645: Fix endianness check for Xtensa.
* Tue Mar 21 2006 Khem Raj <kraj@mvista.com>
- Bug 17563: Remove redundant sources from spec file.
* Wed Mar 15 2006 Qunying Pan <qpan@mvista.com>
- Bug 17308: Serialize nptl thread events.
* Mon Mar 13 2006 Khem Raj <kraj@mvista.com>
- Bug 17414: Revert asm/config/core.h reference to asm/cpu/config.h
* Fri Mar 10 2006 Khem Raj <kraj@mvista.com>
- Bug 17414: Remove xtensa overlays.
-            Add xtensa specific ipc.h
-            change asm/config/core.h reference to asm/cpu/config.h
* Thu Mar 9 2006 Qunying Pan <qpan@mvista.com>
- Bug 17018: Fix debugging applications statically linked with NPTL.
* Tue Mar 7 2006 Qunying Pan <qpan@mvista.com>
- Bug 16883: Move Changelog files to glibc-doc.
* Tue Mar 7 2006 Qunying Pan <qpan@mvista.com>
- Bug 17253: strip .comment section and strip symbol table for libc and libm.
* Thu Mar 02 2006 Nitin Gupta <ngupta@mvista.com>
- Bug 16130: ldconfig link depth test from CSL.
* Tue Feb 7 2006 Khem Raj <kraj@mvista.com>
- Bug 17042: Fix licenses file and remove BSD from package license.
* Mon Jan 23 2006 Qunying Pan <qpan@mvista.com>
- Bug 12929: Remove ppc_85xx_dpfp CFLAGS -mfloat-gprs=double as it has been enabled in rpmconfig file.
* Thu Jan 12 2006 Qunying Pan <qpan@mvista.com>
- Bug 16698: Update libc & libm install path to add libopt multi-ABI support.
* Thu Dec 29 2005 Qunying Pan <qpan@mvista.com>
- Bug 14896: Add ld-linux-x86-64.so.2 to glibc-libopt-build-lib* ld searching list.
* Wed Dec 28 2005 Khem Raj <kraj@mvista.com>
- Bug 16375: Fix Xtensa glibc stat structure.
* Mon Dec 19 2005 Khem Raj <kraj@mvista.com>
- Bug 16375: Fix Xtensa glibc kernel stat interface.
* Fri Dec 16 2005 Khem Raj <kraj@mvista.com>
- Bug 15504: Make fadvise64 syscall change specific to MIPS32.
* Wed Dec 14 2005 Khem Raj <kraj@mvista.com>
- Bug 15504: Add fadvise64 syscall to mips.
* Tue Dec 13 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 16248: Fix installation directory for doc files.
* Tue Nov 29 2005 Khem Raj <kraj@mvista.com>
- Bug 16028: Apply pseudo fixes for Xtensa.
* Mon Nov 28 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 15569: Fix incorrect documentation in glibc-doc.
* Mon Nov 28 2005 Khem Raj <kraj@mvista.com>
- Bug 16009: Remove inclusion of numa-note.o if non numa build.
* Mon Nov 28 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 16000: Fix dl_debug_state to work correctly with gdb.
* Fri Nov 18 2005 Qunying Pan <qpan@mvista.com>
- Bug 15918: Upgrade timezone files to tzcode2005m/tzdata2005m from glibc-2.3.6.
* Wed Nov 16 2005 Qunying Pan <qpan@mvista.com>
- Bug 15272: Don't manually strip /sbin/ldconfig to keep debug info.
* Tue Nov 15 2005 Khem Raj <kraj@mvista.com>
- Bug 15832: Include MAD_* macros into bits/mman.h for Xtensa.
* Fri Nov 04 2005 Qunying Pan <qpan@mvista.com>
- Bug 15656: glibc fix for adding x86_64 gdbserver thread debugging support.
* Fri Nov 04 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 15654: FSF glibc bug fixes.
* Fri Oct 21 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13116: Merge getsubopt fixes from gnulib. 
* Fri Oct 21 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 14654: Fix broken symbol (SHN_UNDEF) resolving on mips/mipsel.
* Wed Oct 19 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 14070: non-debug glibc package contains unstripped libraries
* Tue Oct 18 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 12929: change request for F2: 85xx enhancement tracker bug
* Tue Oct 11 2005 Khem Raj <kraj@mvista.com>
- Bug 15263: Alias umount2 syscall to umount for Xtensa.
* Tue Oct 04 2005 Khem Raj <kraj@mvista.com>
- Bug 15206: Fix unterminated eh_frame sections in shared libraries.
* Wed Sep 28 2005 Khem Raj <kraj@mvista.com>
- Bug 13901: Xtensa port.
* Wed Sep 28 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 15090: Fix prelink of libstdc++ with non-prelinked c++ apps.
* Tue Sep 13 2005 Qunying Pan <qpan@mvista.com>
- Bug 14878: Update northamerica timezone file to include the latest update.
* Mon Sep 12 2005 Qunying Pan <qpan@mvista.com>
- Bug 14850: Add leap second event scheduled for 12/31/2005
* Fri Sep 02 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 14701: FSF glibc bug fixes. 
* Thu Aug 31 2005 Khem Raj <kraj@mvista.com>
- Bug 13173: Provide fadvise64_64 syscall with new prototypes.
- Adjust posix_fadvise accordingly.
* Tue Aug 30 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13173: Provide arm version of posix_fadvise.
* Mon Aug 29 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Bug 14070: non-debug glibc package contains unstripped libraries
* Mon Aug 29 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 14608: Add missing 2.6 kernel features for powerpc32/powerpc64.
* Mon Aug 22 2005 Khem Raj <kraj@mvista.com>
- Bug 14417: Fix SIGSEGV in x86 applications statically linked with NPTL.
* Tue Aug 09 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13944: Adding missing EABI functions to glibc.
* Fri Aug 05 2005 Khem Raj <kraj@mvista.com>
- Bug 14181: Do not copy back the sem_buf structure.
* Tue Jul 19 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 12614: Fix semadj issue in linuxthreads.
* Tue Jul 19 2005 Nitin Gupta <ngupta@mvista.com>
- Bug 13126: PR 457 Incorrect checks in MALLOC_CHECK_  functions under high
mem usage.
* Wed Jun 29 2005 Khem Raj <kraj@mvista.com>
- Bug 13266: Fix the THUMB returns to use BX if possible.
* Tue Jun 28 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13176: Fix DNS errors with freeaddrinfo.
* Tue Jun 28 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13309: Fix installer issue with pthread_create.
* Fri Jun 24 2005 Nitin Gupta <ngupta@mvista.com>
- Bug 13129: PR bug fix 610
* Wed Jun 22 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Fix 12961 fpu instructions in glibc for fpuless targets
* Tue Jun 21 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 13128: Fix pthread_exit to avoid process exit if threads were just created
* Wed Jun 1 2005 Nitin Gupta <ngupta@mvista.com>
- Bug 12623: Daniel's recommended patch for incorrect mips syscall error
patch.
- http://sourceware.org/bugzilla/show_bug.cgi?id=562
* Tue May 31 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 12449 libc depends on libgcc_s.so.1 for pthread_cancel.
* Tue May 24 2005 Nitin Gupta <ngupta@mvista.com>
- Bug 12193: Fix rpm group for docs
* Wed May 18 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Bug 9819: MIPS64 NPTL support.
* Fri May 13 2005 Khem Raj <kraj@mvista.com>
- Bug 11996 - Add empty /etc/ld.so.conf to glibc package.
* Fri May 13 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 12222 nscd initscript missing the chkconfig control line. 
* Thu May 05 2005 Khem Raj <kraj@mvista.com>
- Bug 10313 - Add fcntl and flock64 wrappers for ARM EABI.
* Wed May 04 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Bug 12016 - correct pc-relative addresses for ARM.
* Mon May 02 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Bug 12031 Update ARM TLS mechanism for latest kernel changes.
* Tue Apr 26 2005 Khem Raj <kraj@mvista.com>
- Fix 10163: change the glibc spec file to use --with-numa-policy
  option
* Mon Apr 25 2005 Khem Raj <kraj@mvista.com>
- Fix 10163: Correct the syscall patch to assign withval instead of enableval for numapol
* Wed Apr 20 2005 Nora Pan <qpan@mvista.com>
- On behalf of Daniel Jacobowitz
- Fix 11239 - Restart the thread if it has been suspended and receives SIGSEGV.
* Tue Apr 19 2005 Nora Pan <qpan@mvista.com>
- on behalf of Daniel Jacobowitz
- Fix 11436 - Fix NPTL support on ppc_9xx
* Thu Apr 14 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 11330 - Pulling back 5863 patch due to performance issues.
* Thu Apr 14 2005 Nitin Gupta <ngupta@mvista.com>
- Fix 116773: Remove obsolete link from glibc spec files
* Thu Apr 14 2005 Khem Raj <kraj@mvista.com>
- Fix 11672: Add -f switch to 'rm' in spec file.
* Thu Apr 7 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Remove empty file from MIPS64 port.
* Fri Apr 1 2005 Nora Pan <qpan@mvista.com>
- Fix 10954: on behalf of Daniel Jacobowitz
- Wrap glibc 32-bit multilib header.
* Fri Apr 1 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Fix 11027: libc.so.6 incorrectly tagged by ldconfig.
* Thu Mar 24 2005 Khem Raj <kraj@mvista.com>
- Fix 10313: Add attributes to some glibc structures which were
  incompatible with kernel structures due to ARM EABI implementation.
* Fri Mar 18 2005 Khem Raj <kraj@mvista.com>
- Fix 11065: Updated define value for ARM_EXIDX type sections. 
* Wed Mar 16 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 10644 - _JCR_LIST__ problem. 
* Tue Mar 15 2005 Nora Pan <qpan@mvista.com>
- Fix 10985: update xtensa source files names.
* Mon Mar 14 2005 Nitin Gupta <ngupta@mvista.com>
- Replacing alt spec files to select alternate ABIs.
* Fri Mar 11 2005 Nora Pan <qpan@mvista.com>
- Fix 10367:header files update for xtensa.
* Thu Mar 10 2005 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 10421 - Race condition at malloc by RT thread and fork by TSS thread. 
* Thu Mar 10 2005 Ranajni Cudavalli <rcudavalli@mvista.com>
- Fix 10716 - SHMLBA != PAGE_SIZE. 
* Tue Mar 8 2005 Ranajni Cudavalli <rcudavalli@mvista.com>
- Fix 10695 - Glibc LD_DEBUG Access Error. 
* Mon Mar 7 2005 Khem Raj <kraj@mvista.com>
- Add NUMA note to ld-2.3.3.so as well and fix the typo in glibc spec file
* Fri Mar 4 2005 Nitin Gupta <ngupta@mvista.com>
- First pass of replacing alt spec files to select alternate ABIs
* Fri Mar 4 2005 Khem Raj <kraj@mvista.com>
- bug 10652 clean the spec file to use linuxthreads as default library for linking
* Thu Mar 3 2005 Khem Raj <kraj@mvista.com>
- Revert the EXTRAVAR_6 change for bug 10734
- regeberate the patch with correct fix for x86
* Wed Mar 2 2005 Khem Raj <kraj@mvista.com>
- bug 10734 Fixed NUMA (non uniform memory access) patch for x86
* Mon Feb 28 2005 Khem Raj <kraj@mvista.com>
- bug 10163 added NUMA (non uniform memory access) support
* Mon Feb 28 2005 Khem Raj <kraj@mvista.com>
- Create fix for adding debug symbol to glibc, fix for 10016.
* Thu Feb 24 2005 Nitin Gupta <ngupta@mvista.com>
- Merge f2_64bit_branch into HEAD.
* Wed Feb 23 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Fix 8796 Glibc header dependancies not met: udp.h
* Mon Feb 21 2005 Dinar Temirbulatov <dtemirbulatov@ru.mvista.com>
- Fix 9902 rpcsvc headers missing from glibc
- Combined glibc-cross_sunrpc.patch and hhl-glibc-rpc-cross.patch
- files together in glibc-cross_sunrpc.patch file
* Fri Feb 18 2005 Khem Raj <kraj@mvista.com>
- Fix 9048 Fix the SEGFAULT in profiling support for ARM targets
* Wed Feb 16 2005 Khem Raj <kraj@mvista.com>
- Fix 8179 glibc-dev to obsolete libmqueue.
* Wed Feb 16 2005 Khem Raj <kraj@mvista.com>
- Fix 10362 remove rquota.[xh] these are now provided by quota.
* Fri Feb 11 2005 Nora Pan <qpan@mvista.com>
- Fix 5750 Eliminate memory access between ll/sc pair in mips.
* Thu Feb 10 2005 Nora Pan <qpan@mvista.com>
- Fix 10278: Link against LinuxThreas lib by default.
* Thu Feb 10 2005 Nitin Gupta <ngupta@mvista.com>
- fixing locale for x86_em64t and x86_amd64
- Add MIPS NPTL support.
* Wed Jan 12 2005 Nora Pan <qpan@mvista.com>
- Add MIPS NPTL support.
* Thu Jan 06 2005 Nitin Gupta <ngupta@mvista.com>
- Fix syntax errors in elf/ldd.bash.in.
* Mon Jan 03 2005 Daniel Jacobowitz <dan@codesourcery.com>
- Merge ARM EABI support.
* Thu Dec 16 2004 Joe Green <jgreen@mvista.com>
- Remove BuildRequires statements.
* Tue Dec 07 2004 Daniel Jacobowitz <dan@codesourcery.com>
- Update ARM NPTL support for compatibility with older kernels.
* Mon Nov 29 2004 Joe Green <jgreen@mvista.com>
- Merge NPTL support into "glibc.spec.in".  Remove "nptl.spec.in".
- Merge initial ARM NPTL support.
* Mon Nov 15 2004 Joe Green <jgreen@mvista.com>
- Remove obsolete "glibc-arm-memtypealloc.patch".
- Use RPM "files" section directly instead of generated file lists.
* Tue Nov 09 2004 Joe Green <jgreen@mvista.com>
- Use host autoconf package; remove configure patch.
* Sun Nov 07 2004 Joe Green <jgreen@mvista.com>
- Remove PML files.
* Tue Nov 02 2004 Nora Pan <qpan@mvista.com>
- Build separate locale files instead of single locale-archive.
* Fri Jul 9 2004 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 7442 - Don't free internal buffer in vsyslog().
* Thu Jun 18 2004 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 5863 - Changes to /etc/localtime are not seen until restart.
* Thu Jun 14 2004 Ranjani Cudavalli <rcudavalli@mvista.com>
- Fix 7062 - realpath gives a path when it really shouldn't.
* Tue Jun 11 2004 Tim Anderson <tanderson@mvista.com>
- removed PROVIDES statements in PML for NPTL. bugz 6524
* Thu May 27 2004 Michael Eager <eager@mvista.com>
- Make initfini.s build with -fno-unit-at-a-time flag.
* Thu May 27 2004 Michael Eager <eager@mvista.com>
- add ARCH_FIXUP_ATTRIBUTE in elf/dl-machine.
* Tue Apr 27 2004 Daniel Jacobowitz <drow@mvista.com>
- PowerPC Altivec fixes for NPTL.
* Tue Apr 27 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-51
- Fix CAN-2003-0859, security problem in netlink use for getifaddrs
* Mon Apr 26 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-50
- Support syscall() from Thumb mode.
* Fri Apr 23 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-49
- Fix interface to scheduler affinity functions.
* Thu Mar 18 2004 Michael Eager <eager@mvista.com>
- Fix 5847 - Arm vfork (hang in pthread)
* Wed Mar 3 2004 Daniel Jacobowitz <drow@mvista.com>
- Add ARM/Thumb interworking support.
* Fri Feb 20 2004 Michael Eager <eager@mvista.com>
- Fix Bugz 5422 - SEGV in getenv.
* Wed Feb 11 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-45
- Improve mutex performance for targets without compare-and-swap.
* Wed Feb 4 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-44
- <bits/syscall.h> fixes for MIPS32.
* Tue Feb  3 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-27
- Fix nptl-prof PML template.
* Mon Jan 26 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-43
- MIPS siginfo.h update for POSIX timers.
* Fri Jan 23 2004 Michael Eager <eager@mvists.com>
- Fix 1-38CV7 - add optimized memcpy/memmove for ARM.
* Tue Jan 13 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-41
- MemTypeAlloc update.
* Wed Jan 7 2004 Daniel Jacobowitz <drow@mvista.com> 2.3.2-40
- Revise MemTypeAlloc support for ARM.
* Thu Dec 18 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-39
- Fix <bits/syscall.h> for MIPS64.
* Sat Dec 13 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-38
- Remove psaddr_t change for N32.  At a later date the psaddr_t changes
  should be re-added, with nptl_db that can handle this difference.
* Fri Dec 12 2003 Corey Minyard <cminyard@mvista.com>
- Added a patch (from Debian) to fix tcsetattr and c-iflag LSB failures.
* Wed Dec 10 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-36
- Install the correct wordsize.h on MIPS64 again.
- Fix libthread_db interface for N32.
* Thu Dec 4 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-35
- Support changed format of MIPS64 <asm/unistd.h>.
* Mon Dec 01 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-34
- Fix vfork for LinuxThreads.
- Add missing cancellation wrappers for MIPS64.
- Re-enable hardware FP for MIPS.
- Expect a long long address for n32 ptrace.
- Save and restore all argument registers on MIPS64
- Add multilib package support for MIPS64.
* Thu Nov 13 2003 Michael Eager <eager@mvista.com>
- Add target/usr/lib directory (needed for MIPS64)
* Tue Nov 11 2003 Corey Minyard <cminyard@mvista.com> 2.3.2-25
- Separate ldconfig-nptl and ld.so.cache files for NPTL.
* Tue Oct 28 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-33
- Add MemTypeAlloc support for ARM.
* Mon Oct 27 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-32
- Fix a buffer overflow in hwcap calculation.
* Tue Oct 21 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-31
- Don't use sys_waitpid on ARM.
* Tue Oct 14 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-30
- Fix a bug in MIPS clone() which caused crashes after threads exited.
* Wed Oct 8 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-28
- Adjust <bits/msq.h> to match the MIPS kernel.
* Mon Sep 29 2003 Michael Eager <eager@mvista.com>
- Remove IBM PPC 405/440 patches.
* Fri Sep 26 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-27
- Fix another build failure generating shlib.lds.
- Fix SJLJ related build failures on ARM and SH targets.
* Wed Sep 24 2003 Daniel Jacobowitz <drow@mvista.com>
- Add GDB wrapper for NPTL packages.
- Touch configure scripts before building.
* Wed Sep 24 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-26
- Use a prebuilt bits/stdio_lim.h for glibc-bootstrap.
- Touch all configure scripts.
* Mon Sep 15 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-25
- Update to a new CVS snapshot.
- Add MIPS64 patches.
* Mon Sep 8 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-23
- Unmap padding area when loading shared objects.
* Thu Sep 4 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-22
- Add patches for iWMMXt and VFP compatibility.
* Tue Aug 26 2003 Michael Eager <eager@mvista.com>
- Add PPC 405 library routines from IBM.
* Fri Aug 22 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-21
- Fix a crash in getgrouplist with a large number of groups.
* Thu Aug 21 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-20
- Fix a profiling crash on MIPS.
* Tue Aug 19 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-19
- Fix a new thread debugging problem on ARM.
* Tue Aug 5 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-18
- Add ISV compat hooks.
- Improve ldd behavior for shared libraries.
* Wed Jul 30 2003 Michael Eager <eager@mvista.com>
- Enable PPC 440 lib routines from IBM.
* Mon Jul 28 2003 Michael Eager <eager@mvista.com>
- Defect 1-1RSAY - work around SH4 silicon bug for syscall.
* Mon Jul 28 2003 Michael Eager <eager@mvista.com>
- Add PPC 440 library routines from IBM.
* Wed Jul 16 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-14
- Remove SH pread patch to match a kernel change.
* Tue Jul 15 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-13
- Update SHMLBA for MIPS.
* Wed Jul 2 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-12
- Include <elcstd.h>.
* Mon Jun 23 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-11
- Provide /sbin/ldconfig, for target packages' benefit.
* Mon Jun 16 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-10
- Better diagnostics for prelink failure.
* Fri Jun 6 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-9
- Fix a thread leak when creating multiple timers.
* Wed Jun 4 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-8
- Fix arguments to pread/pwrite on SH.
- Fix <sys/procfs.h> on SH.
- Export __fpscr_values from libc.so.6 on SH.
* Wed May 28 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-7
- Another patch for the ARM cancellation wrappers, affecting static
  binaries only.
* Mon May 19 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-6
- Fix an incorrect clobber for ARM which gcc 3.3 complains about.
* Wed May 14 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-5
- Export __sim_* on PowerPC soft-float targets.
* Mon Apr 21 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-4
- SH doesn't have a 64-bit st_ino in the kernel interface yet.  There's
  room to add it, fortunately, but turn off the assumption for now.
* Mon Apr 14 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-3
- Fix the type of .bss sections in libc.so for ARM.
- Update ELF_MACHINE_NO_RELA patch to re-enable prelink support for ARM.
- Remove an outdated patch to the NSCD configuration file.
* Mon Mar 31 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-2
- Prevent garbled linker scripts due to gcc-bootstrap.
- Preset more variables that configure gets wrong.
- Update Altivec patch.
* Tue Mar 25 2003 Daniel Jacobowitz <drow@mvista.com> 2.3.2-1
- Update to glibc 2.3.2.
- Add patches to fix ARM and SH cancellation wrappers.
- Add --enable-kernel=2.4.17.
- Install libpthread_pic.a.
* Tue Mar 14 2003 Corey Minyard <cminyard@mvista.com>
- Fixed a bug with memory locking executables, env variables didn't work.
* Tue Mar 11 2003 Daniel Jacobowitz <drow@mvista.com> 2.2.5-35
- Add profiling support for the SH architecture.
* Thu Mar 6 2003 Daniel Jacobowitz <drow@mvista.com> 2.2.5-34
- Add the missing O_DIRECT flag on PowerPC.
* Tue Feb 25 2003 Daniel Jacobowitz <drow@mvista.com> 2.2.5-33
- Fix a memory leak in libresolv.
- Force $PERL to /usr/bin/perl.
* Tue Feb 4 2003 Michael Eager <eager@mvista.com>
- Fix memory alignment problem in Xtensa
* Mon Jan 20 2003 Michael Eager <eager@mvista.com>
- Include corebits.h in xtensa build.
* Mon Jan 20 2003 Michael Eager <eager@mvista.com>
- Add Xtensa patches for strlen and memcpy.
* Fri Jan 17 2003 Michael Eager <eager@mvista.com>
- Generate locales for X86
* Tue Jan 14 2003 Michael Eager <eager@mvista.com>
- Eliminate divide in elf_dynamic_do_rel for Xtensa.
* Thu Jan 9 2003 Daniel Jacobowitz <drow@mvista.com>
- Two LSB compliance patches: nice and Euro locales.
* Fri Jan  3 2003 Daniel Jacobowitz <drow@mvista.com>
- Don't apply cross-RPC patches in glibc-bootstrap, in order to get
  all headers installed.
* Wed Dec 11 2002 Daniel Jacobowitz <drow@mvista.com>
- Update scheduler affinity patch to export symbols with the correct
  versions.
* Fri Dec 6 2002 John Kwan <jkwan@mvista.com>
- Use a more recent glibc common patch for xtensa
* Thu Nov 14 2002 John Kwan <jkwan@mvista.com>
- Move patch36 from under xtensa only test
* Wed Nov 13 2002 John Kwan <jkwan@mvista.com>
- Update xtensa build to use glibc 2.2.5.
* Tue Nov 12 2002 Michael Eager (eager@mvista.com>
- Set correct host (i.e. target) and use host gcc for build glibc-bootstrap.
* Mon Nov  4 2002 Daniel Jacobowitz <drow@mvista.com>
- Add backwards compatibility symbols for ppc_8xx.
- Remove another bashism from the .spec file.
* Tue Oct 29 2002 Daniel Jacobowitz <drow@mvista.com>
- Disable memset.S on ppc_8xx again.
* Wed Oct 16 2002 jkwan <jkwan@mvista.com>
- Add support for xtensa_linux_test build
* Tue Oct 15 2002 Daniel Jacobowitz <drow@mvista.com>
- Install <bits/stdio_lim.h> with glibc-bootstrap.
* Sat Oct 12 2002 Daniel Jacobowitz <drow@mvista.com>
- Re-add a MIPS thread debugging patch.
- Add vfork() for MIPS
* Wed Oct  9 2002 Daniel Jacobowitz <drow@mvista.com>
- Allow backtraces from __vfork.
- DWARF-2 debugging information for assembly source.
* Thu Sep 26 2002 jkwan <jkwan@mvista.com>
- Replace xtensa-be/le patches with tar files
* Fri Sep 20 2002 Michael Eager <eager@mvista.com>
- Update Xtensa patch for glibc-2.2.5
* Fri Sep 20 2002 Daniel Jacobowitz <drow@mvista.com>
- Add some patches from glibc CVS.
* Mon Sep 16 2002 Daniel Jacobowitz <drow@mvista.com>
- Add a binary compatibility patch for SH4.
* Tue Aug 27 2002 Daniel Jacobowitz <drow@mvista.com>
- Add scheduler affinity syscalls.
* Sun Aug 25 2002 Daniel Jacobowitz <drow@mvista.com>
- Use %target_tool_configure.
* Wed Aug 21 2002 Daniel Jacobowitz <drow@mvista.com>
- Specify "-finline-limit-10000" to make SH and ARM fit inside the limit.
* Mon Aug 12 2002 Daniel Jacobowitz <drow@mvista.com>
- Fix register dumps for MIPS targets
* Thu Aug 8 2002 John Kwan <jkwan@mvista.com>
- Add a patch to signal.h for ia64
* Mon Aug  5 2002 Daniel Jacobowitz <drow@mvista.com>
- Add patch for sysconf CPU count
- Fix an ARM bug reported by GCC 3.1.1
* Thu Aug  1 2002 Daniel Jacobowitz <drow@mvista.com>
- Build static libthread_db
- Specify "-finline-limit-3000" to work around inlining problems on GCC
  3.1/MIPS.
* Fri Jul 26 2002 Michael Eager <eager@mvista.com>
- Mips nfp setjmp/longjmp patch.
* Wed Jul 24 2002 Daniel Jacobowitz <drow@mvista.com>
- Merge memory locking patch
* Fri Jul 19 2002 Daniel Jacobowitz <drow@mvista.com>
- Move forward patches from previous glibc releases and glibc CVS.
- Moved to glibc 2.2.5
* Tue Jul  9 2002 Daniel Jacobowitz <drow@mvista.com>
- Renamed glibc-headers to glibc-bootstrap.
* Fri Jul  5 2002 Daniel Jacobowitz <drow@mvista.com>
- Created glibc-headers package.
* Fri May 10 2002 Daniel Jacobowitz <drow@mvista.com>
- Fix a setjmp/longjmp bug on PowerPC 74xx.
* Sat May  4 2002 Corey Minyard <cminyard@mvista.com>
- Added the ability to lock executables in memory.
* Thu Mar  7 2002 Daniel Jacobowitz <drow@mvista.com>
- Fix defect 1-L3ST - MIPS thread debugging
* Thu Feb 28 2002 Michael Eager <eager@mvista.com>
- Fix defect 1-KM1X -- use _hhl_target_include_dir not _includedir
* Fri Jan 18 2002 Michael Eager <eager@mvista.com>
- Change to make localdata/install-locales
* Fri Dec  7 2001 Michael Eager <eager@mvista.com>
- Tensilica Xtensa LinuxBE configuration support.
* Mon Oct 29 2001 Michael Eager <eager@mvista.com>
- Intel StrongArm Big Endian patch
* Fri Sep 07 2001 Michael Eager <eager@mvista.com>
- Convert to use target_tool_configure.
* Thu Aug 16 2001 Joe Green <source@mvista.com>
- Added hhl-glibc-save-lds.patch to keep linker scripts for library optimizer.
- Installed abi-note.o and libc.so.lds for use by library optimizer.

* Mon Jul 20 2001 Mark Hatle <source@mvista.com>
- Moved to 2.2.3 release
- Restructures the sources/patches to be pulled from the Debian patch
  instead of individual patches.
- Renamed all MontaVista patches to include "hhl" in their names
- Removed the glibc-223pre1-fe_invalid.patch, glibc-mips-abi.patch,
  and glibc22-27.patch patches.  (No longer needed)

* Mon Jun 25 2001 Daniel Jacobowitz <source@mvista.com>
- Add workaround for ppc_405 atomic store issues.

* Fri May 25 2001 Daniel Jacobowitz <source@mvista.com>
- Add patch to fix mips rt_sigqueueinfo.

* Fri May 04 2001 Steve Kinneberg <source@mvista.com>
- Added TCT package description files for building.

* Sun Mar 18 2001 Joe Green <source@mvista.com>
- Added Library Optimizer information package for libc.

* Thu Feb 22 2001 Mark Hatle <source@mvista.com>
- Removed the db2 add-on stuff.  Its only for legacy and we don't have
- any! <grin>

* Wed Jan 24 2001 Mark Hatle <source@mvista.com>
- Added missing rpc files
- Added sln
- Added /usr/lib/libthread_db.so
- Added /usr/lib/libdb.so

* Mon Jan 22 2001 Mark Hatle <fray@mvista.com>
- Initial push into repository
- Cross-compiling checks are still TODO

* Sat Dec 09 2000 Mark Hatle <fray@mvista.com>
- First cut
