#
# Fusion Kernel Device for MontaVista Linux.
#
# 2005/10/03 Kazumi OKANO <as_okano@emi.yamaha.co.jp>
#
%define name linux-fusion
%define version 3.0

%define kmodver 2.6.10_mvl401-rtg_k2x-mips2_fp_le
%define kmodlib /lib/modules/%{kmodver}
%define ksrc /opt/montavista/pro/devkit/lsp/yamaha-rtg_k2x-mips2_fp_le/linux-2.6.10_mvl401
%define klvl 6

# first binary package section
Summary:    Fusion Kernel Device
Name:       %{name}
Version:    %{version}
Release:    %{_hhl_build_id}.1
License:    LGPL
Group:		System Environment/Kernel
Prefix:     %{_hhl_cross_target_dir}
Source:     %{name}-%{version}.tar.gz
Patch:		linux-fusion.k2x.patch
URL:        http://www.directfb.org/
Buildroot:  %{_tmppath}/%{name}-%{_hhl_target_arch}-root
AutoReqProv: no
%description
Fusion Kernel Device for the MontaVista Linux.

# second binary package section
%package -n %{name}-devel
Summary:    Fusion Kernel Device
Group:		System Environment/Kernel
AutoReqProv: no
%description -n %{name}-devel
Fusion Kernel Device for the MontaVista Linux.

# prep section
%prep
%target_check
%setup  -q -n %name-%version
%patch -p1

# build section
%build
%target_setup
make KERNEL_MODLIB=%{kmodlib} KERNEL_BUILD=%{ksrc} KERNEL_SOURCE=%{ksrc} KERNEL_PATCHLEVEL=%{klvl}

# install section
%install
%target_setup
rm -rf %{buildroot}
install -d %{modlib}
make install KERNEL_MODLIB=%{kmodlib} KERNEL_BUILD=%{ksrc} KERNEL_SOURCE=%{ksrc} KERNEL_PATCHLEVEL=%{klvl} DESTDIR=%{buildroot}%{_hhl_cross_target_dir}

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -m 755 fusion %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc{0,1,2,3,4,5,6}.d
ln -s ../init.d/fusion %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc0.d/K34fusion
ln -s ../init.d/fusion %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc1.d/K34fusion
ln -s ../init.d/fusion %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc2.d/S65fusion
ln -s ../init.d/fusion %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc3.d/S65fusion
ln -s ../init.d/fusion %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc4.d/S65fusion
ln -s ../init.d/fusion %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc5.d/S65fusion
ln -s ../init.d/fusion %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sysconf_dir}/rc.d/rc6.d/K34fusion

%files
%defattr(-,root,root)
%{_hhl_cross_target_dir}/lib/modules/%{kmodver}/kernel/drivers/fusion/fusion.ko
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/fusion
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc0.d/K34fusion
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc1.d/K34fusion
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc2.d/S65fusion
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc3.d/S65fusion
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc4.d/S65fusion
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc5.d/S65fusion
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc6.d/K34fusion

%files -n %{name}-devel
%defattr(-,root,root)
%{_hhl_cross_target_dir}/usr/include/linux/fusion.h

# changelog section
%changelog
* Tue Jun 5 2007 Masao Ishibashi <ishiba@emi.yamaha.co.jp>
- Initial release for RTG-K2X.

* Fri Aug 04 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- gݍݏύX

* Thu Jul 27 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- o[W3.0[X

* Thu Jul 13 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- VJ[lΉ

* Thu Apr 06 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- VJ[lΉ

* Wed Apr 05 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- VJ[lΉ

* Tue Mar 28 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- NXNvgt@CC
- CXg[fBNgύX
 
* Tue Mar 07 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- MVL4.0Ή
 
* Thu Nov 17 2005 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- K2Xp[X

* Thu Nov 10 2005 Kazumi OKANO<as_okano@emi.yamaha.co.jp> cvs-20041222 rel 6
- cvs 20041222
- KBW-K2X[X

* Tue Jan 15 2005 Kazumi OKANO<as_okano@emi.yamaha.co.jp> cvs-20041222 rel 5
- cvs 20041222
- normalłƂă[X. > CXg[悪Ă...

* Tue Jan 15 2005 Kazumi OKANO<as_okano@emi.yamaha.co.jp> cvs-20041222 rel 4
- cvs 20041222
- normalłƂă[X.

* Wed Dec 22 2004 Kazumi OKANO<as_okano@emi.yamaha.co.jp> cvs-20041222 rel 3
- cvs 20041222
- DirectFB-0.9.21̐[Xɂ킹

* Wed Dec 08 2004 Kazumi OKANO<as_okano@emi.yamaha.co.jp> cvs 20041208 rel 2
- ŐVcvs\[X擾B

%changelog
* Fri Nov 26 2004 Kazumi OKANO<as_okano@emi.yamaha.co.jp>
- NXppbP[W쐬
