%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#Always build 64 bit versions.
%ifarch ppc_9xx
%define _mvl_multilib 64
%endif
%ifarch mips64_fp_le mips64_fp_be
%define _mvl_multilib n64
%endif

Summary		: 2.6 kernel module utilities
Name		: module-init-tools
Version		: 3.1pre5
Release		: 4.0.0.%{_hhl_build_id}
Source		: module-init-tools-%{version}.tar.gz
Source1		: modprobe.conf
Source2		: rc.module-init-tools
Source3		: modules
Source4		: modules.5
Source5		: rc.module-init-tools.optimized
License		: GPL
Group		: base 
BuildRoot	: %{_tmppath}/%{name}-target-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
Requires	: mvlutils
Obsoletes	: hhl-target-modutils
Obsoletes	: hhl-%{_hhl_target_arch}-modutils

%description

 The Linux kernel allows new kernel pieces to be loaded and old ones to
 be unloaded while the kernel continues to run. These loadable pieces
 are called modules, and can include device drivers and filesystems among
 other things. This package includes program to load and unload programs
 both automatically and manually.

%prep
%target_check
%setup -q -n module-init-tools-%{version}

%build
%target_setup

CFLAGS="$RPM_OPT_FLAGS" \
 INSTALL=install-sh \
 %target_configure --prefix=/

%make

%install
%target_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man{5,8}

%target_makeinstall \
	sbindir=%{buildroot}%{_hhl_cross_target_dir}/sbin \
	INSTALL=`pwd`/../install-sh

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/modprobe.d
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -m 644 %{SOURCE1} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}
#install -m 755 %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/module-init-tools
install -m 644 %{SOURCE3} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir} 
install -m 644 %{SOURCE4} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/
install -m 644 ../modprobe.devfs %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir} 
install -m 755 %{SOURCE5} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/module-init-tools
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
cd ..
cp COPYING LICENSE

%clean
rm -rf %{buildroot}

%post -n module-init-tools
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add module-init-tools) &> /dev/null \
        || echo "Unable to enable initd service: module-init-tools"

%files -n module-init-tools
%defattr(-,root,root)
%dir %{_hhl_cross_target_dir}/etc/modprobe.d
%attr(644,root,root) %config %{_hhl_cross_target_dir}/etc/modprobe.conf
%attr(644,root,root) %config %{_hhl_cross_target_dir}/etc/modprobe.devfs
%attr(755,root,root)%{_hhl_cross_target_dir}/sbin/generate-modprobe.conf
%attr(755,root,root)%{_hhl_cross_target_dir}/sbin/depmod
%attr(755,root,root)%{_hhl_cross_target_dir}/sbin/insmod
%attr(755,root,root)%{_hhl_cross_target_dir}/sbin/insmod.static
%attr(755,root,root)%{_hhl_cross_target_dir}/sbin/modinfo
%attr(755,root,root)%{_hhl_cross_target_dir}/sbin/modprobe
%attr(755,root,root)%{_hhl_cross_target_dir}/sbin/rmmod
%attr(755,root,root)%{_hhl_cross_target_dir}/usr/bin/lsmod
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/modprobe.conf.5*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/modules.dep.5*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/modules.5*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/depmod.8*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/insmod.8*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/lsmod.8*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/modinfo.8*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/modprobe.8*
%attr(644,root,root) %doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rmmod.8*
%attr(-,root,root) %doc COPYING README AUTHORS TODO ChangeLog NEWS FAQ
%attr(755,root,root) %config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/module-init-tools
%attr(755,root,root) %config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/modules
%doc LICENSE


%changelog
* Fri May 21 2004 Ken Sumrall <source@mvista.com>
- Update to properly deal with relocation when the scripts are run.
* Wed May 12 2004 Ken Sumrall <source@mvista.com>
- Create module-init-tools spec file from MVL modutils spec file
