%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Summary   	: The mtd layer user utilities.
Name	  	: mtd-utils
Version	  	: 2.6.9_1.1
Release	  	: 6.0.0.%{_hhl_build_id}
Source	  	: mtd-utils-2.6.9_1.1.tar.gz
Patch0		: flash_eraseall-skip-bad.patch
Patch1		: flash_eraseall-badblocks-nandonly.patch
Patch2		: flash_eraseall-errno-invert.patch
Patch3		: fix-nanddump-option-error.patch
Patch4		: nandwrite-2k.patch
Patch5		: nandwrite-autoplace.patch
License  	: GPL
Group	  	: admin 
Buildroot 	: %{_tmppath}/%{name}-target-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
Obsoletes 	: hhl-target-mtd-utils
Obsoletes 	: hhl-%{_hhl_target_arch}-mtd-utils

%description

 The mtd-utils package includes user land tools to manipulate the mtd layer.


%package dev
Summary: MTD userland headers
Group: devel 
Obsoletes: hhl-%{_hhl_target_arch}-mtd-utils-dev

%description dev

 The mtd-utils package includes user land tools to manipulate the mtd layer.



%prep
export PATCH_GET=0
%target_check
%setup -q -n mtd-utils-%{version}
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5 -p 1

%build
echo %{_hhl_cross_target_dir}%{_hhl_target_include_dir}/linux
echo %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
cd util;  make  ARCH=%{_hhl_target_cpu} \
	CC="%{_hhl_cross_bin_dir}/%{_hhl_target_toolprefix}gcc" \
	LD=%{_hhl_cross_bin_dir}/%{_hhl_target_toolprefix}ld \
	-I%{_hhl_cross_target_dir}/%{_hhl_target_include_dir}/linux \
	LDFLAGS=-L%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}


%install
%target_setup

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd

#headers
install -m 644 include/mtd/inftl-user.h \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd/

install -m 644 include/mtd/jffs2-user.h \
        %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd/

install -m 644 include/mtd/mtd-abi.h \
        %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd/

install -m 644 include/mtd/mtd-user.h \
        %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd/

install -m 644 include/mtd/nftl-user.h \
        %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd/



install -m 0755  util/nanddump  \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/nandwrite \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/ftl_check \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/ftl_format \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/nftldump \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/nftl_format \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/jffs2dump \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/mkfs.jffs \
	%{buildroot}%{_hhl_cross_target_dir}/sbin/.
install -m 0755  util/mkfs.jffs2 \
	%{buildroot}%{_hhl_cross_target_dir}/sbin/.
install -m 0755  util/flashcp \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/flash_erase \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/flash_eraseall \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/flash_lock \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/flash_unlock \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/flash_info \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/doc_loadbios \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -m 0755  util/docfdisk \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
cp COPYING LICENSE

%clean
rm -rf %{buildroot}


%files -n mtd-utils
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nanddump
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nandwrite
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/flashcp
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/flash_erase
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/flash_eraseall
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/flash_lock
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/flash_unlock
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/flash_info
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/ftl_format
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/ftl_check
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nftl_format
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nftldump
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/jffs2dump
%{_hhl_cross_target_dir}/sbin/mkfs.jffs
%{_hhl_cross_target_dir}/sbin/mkfs.jffs2
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/doc_loadbios
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/docfdisk
%doc LICENSE


%files dev
%defattr(-,root,root)
%dir %{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/mtd/*
%doc LICENSE README


%changelog
* Mon Oct 17 2005 Yi Yang <yyang@ch.mvista.com>
- Fix nanddump option issue
* Fri Jan 28 2005 Ryan Burns <rburns@mvista.com>
- added dev package
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Jan 16 2000 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file




