%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Summary		: Pluggable Authentication Modules library
Name		: pam%{_hhl_pkg_suffix}
Version		: 0.76
Release		: 4.0.2.%{_hhl_build_id}
Source		: pam_%{version}.orig.tar.gz
Source1		: mvl.defs
Patch0		: pam_%{version}-22.diff.gz
Patch1		: pam-%{version}-mvl.diff
Patch2		: mvl-shadow-group.diff
Patch3		: pam-%{version}-lib.patch
Patch4		: pam-%{version}-cleanup.patch
Patch5		: pam-%{version}-gcc3.4.patch
Patch6		: pam-uclibc.diff
Patch7		: pam_tally-fclose.patch
License		: BSD/GPL
Group		: base
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
#BuildRequires	: libcap-dev
#BuildRequires	: cracklib-dev
BuildRequires	: db4-dev
Requires        : pam-libs
Obsoletes	: hhl-target-pam
Obsoletes 	: hhl-%{_hhl_target_arch}-libpam-runtime

%description

 Linux-PAM, a suite of shared libraries that enable the local system 
 administrator to choose how applications authenticate users.  In other 
 words, without rewriting or recompiling a PAM-aware application, it is 
 possible to switch between the authentication mechanism(s) it uses.  One 
 may entirely upgrade the local authentication system without touching the
 applications themselves.

%package -n pam-libs%{_hhl_pkg_suffix}
Summary		: Pluggable Authentication Modules library
Group		: libs
Provides        : libpam%{_hhl_pkg_suffix}
Obsoletes 	: hhl-%{_hhl_target_arch}-libpam
Requires 	: pam-modules%{_hhl_pkg_suffix}

%description -n pam-libs%{_hhl_pkg_suffix}

 Contains the C shared library for Linux-PAM, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.  In other words, without rewriting
 or recompiling a PAM-aware application, it is possible to switch
 between the authentication mechanism(s) it uses.  One may entirely
 upgrade the local authentication system without touching the
 applications themselves.

%package -n pam-modules%{_hhl_pkg_suffix}
Summary		: Pluggable Authentication Modules for PAM
Group		: base
Provides        : libpam-modules%{_hhl_pkg_suffix}
Requires        : pam
Obsoletes 	: hhl-%{_hhl_target_arch}-libpam-modules

%description -n pam-modules%{_hhl_pkg_suffix}

 This package completes the set of modules for PAM. It includes the
 the pam_unix_*.so module as well as some specialty modules.

%package -n pam-dev%{_hhl_pkg_suffix}
Summary		: Development files for PAM
Group		: devel
Provides        : libpam-dev%{_hhl_pkg_suffix}
Requires        : pam-libs
Obsoletes	: hhl-%{_hhl_target_arch}-libpam-dev

%description -n pam-dev%{_hhl_pkg_suffix}

 Contains C header files and development shared libraries libraries for
 libpam, the pluggable authentication modules, a suite of shared libraries
 that enable the local system administrator to choose how applications
 authenticate users.

 PAM decouples applications from the authentication mechanism, making it
 possible to upgrade the authentication system without recompiling or
 rewriting the applications.

%package -n pam-cracklib%{_hhl_pkg_suffix}
Summary		: PAM module to enable cracklib support.
Group		: libs
Provides        : libpam-cracklib%{_hhl_pkg_suffix}
Obsoletes 	: hhl-%{_hhl_target_arch}-libpam-cracklib

%description -n pam-cracklib%{_hhl_pkg_suffix}

 This module allows the use of cracklib in the authentication model.

%if "%{_hhl_pkg_suffix}" == ""
%package -n pam-doc
Summary		: Documentation of PAM
Group		: docs 
Obsoletes 	: hhl-%{_hhl_target_arch}-pam-doc

%description -n pam-doc

 Contains documentation (in HTML, ASCII, and PostScript format) for
 libpam, the Pluggable Authentication Modules library, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.

%endif

%prep
%target_check
%setup -q -n pam-%{version}.orig
%patch0 -p1
cd Linux-PAM
cp %{SOURCE1} defs
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
cd ..
%patch5 -p1
%if "%{_mvl_uclibc}" == "yes"
%patch6 -p1
%endif
cd Linux-PAM

%patch7 -p1





%build
%target_setup
export CC="$CC -O2 -D_REENTRANT -fPIC -g"
export CXX="$CXX -fPIC"
%if "%{_mvl_uclibc}" == "yes"
export CC="$CC -DNONIS -lcrypt"
%endif
cd Linux-PAM
autoconf-2.13
# We cannot use an objdir here.  So a blatent copy of target_configure is
# used
#        --exec-prefix=%{_hhl_target_exec_prefix} \
#        --bindir=%{_hhl_target_bin_dir} \

./configure --host=%{_hhl_target_config} \
        --build=%{_hhl_host_config} \
        --prefix=%{_hhl_target_prefix} \
        --sbindir=%{_hhl_target_sbin_dir} \
        --sysconfdir=%{_hhl_target_sysconf_dir} \
        --datadir=%{_hhl_target_data_dir} \
        --includedir=%{_hhl_target_include_dir} \
        --libdir=/%{_hhl_target_lib} \
        --libexecdir=%{_hhl_target_libexec_dir} \
        --localstatedir=%{_hhl_target_localstate_dir} \
        --sharedstatedir=%{_hhl_target_sharedstate_dir} \
        --mandir=%{_hhl_target_man_dir} \
        --infodir=%{_hhl_target_info_dir} \
	--enable-docdir=%{_hhl_target_doc_dir}/pam-doc-%{version} \
	--enable-static-libpam 
	
%make CC="$CC" OS_CFLAGS="-DSYSLIB=%{_hhl_target_lib}"

%install
rm -rf %{buildroot}
cd Linux-PAM
%target_setup

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/pam.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin/
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/pam

%make install FAKEROOT=%{buildroot}%{_hhl_cross_target_dir}/

install -m 0644 ../debian/local/pam.conf \
	%{buildroot}%{_hhl_cross_target_dir}/etc/

install -m 0644 ../debian/local/pam_getenv \
	%{buildroot}%{_hhl_cross_target_dir}/usr/sbin/
pod2man --section 8 --release="MontaVista Linux" ../debian/local/pam_getenv \
	> %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/pam_getenv.8

install -m 0644 ../debian/local/other \
	%{buildroot}%{_hhl_cross_target_dir}/etc/pam.d/

install -m 0644 ../debian/local/common-* \
	%{buildroot}%{_hhl_cross_target_dir}/etc/pam.d/

(cd ../debian/local
 install -m 0644 pam-*-guide \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}/pam-doc-%{version}/
 install -m 0644 Debian-PAM-MiniPolicy \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}/pam-doc-%{version}/
)

install -m 0644 ../debian/local/unix_chkpwd.8 \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/

# Re-arrange some files.
mv %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_lib}/*.a \
	%{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_lib_dir}/
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/unix_chkpwd \
	%{buildroot}%{_hhl_cross_target_dir}/sbin/

# gzip our manpages
gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*

# Create some useful symlinks.
for lib in libpam libpam_misc libpamc; do
	ln -s ${lib}.so.%{version} %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_lib}/${lib}.so.0
	ln -s ../../%{_hhl_target_lib}/${lib}.so.0 \
		%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/${lib}.so
done

cp Copyright LICENSE

install -d -m 0755 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}/pam-doc-%{version}/
install -m 0444 Copyright %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}/pam-doc-%{version}/LICENSE
touch %{buildroot}%{_hhl_cross_target_dir}/etc/environment

%if "%{_hhl_pkg_suffix}" != ""
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc
rm -rf %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_man_dir}
rm -rf %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_include_dir}
rm -rf %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_sbin_dir}
rm -rf %{buildroot}%{_hhl_cross_target_dir}/%{_hhl_target_doc_dir}
rm -rf %{buildroot}%{_hhl_cross_target_dir}/sbin
%endif

%clean
rm -rf %{buildroot}


%files -n pam-libs%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/lib*.so.*
%doc Linux-PAM/LICENSE

%files -n pam-modules%{_hhl_pkg_suffix}
%defattr(-,root,root)
%if "%{_hhl_pkg_suffix}" == ""
%config %{_hhl_cross_target_dir}/etc/security/access.conf
%config %{_hhl_cross_target_dir}/etc/security/group.conf
%config %{_hhl_cross_target_dir}/etc/security/pam_env.conf
%config %{_hhl_cross_target_dir}/etc/security/time.conf
%config %{_hhl_cross_target_dir}/etc/security/limits.conf
%config %{_hhl_cross_target_dir}/etc/environment
%endif
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_access.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_debug.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_deny.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_env.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_filter.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_filter/upperLOWER
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_ftp.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_group.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_issue.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_lastlog.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_limits.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_listfile.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_mail.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_mkhomedir.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_motd.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_nologin.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_permit.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_rhosts_auth.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_rootok.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_securetty.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_shells.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_stress.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_tally.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_time.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_unix.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_unix_acct.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_unix_auth.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_unix_passwd.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_unix_session.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_userdb.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_warn.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_wheel.so
%dir %{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_filter
%if "%{_hhl_pkg_suffix}" == ""
%{_hhl_cross_target_dir}/sbin/unix_chkpwd
%{_hhl_cross_target_dir}/%{_hhl_target_sbin_dir}/pam_tally
#%doc %{_hhl_cross_target_dir}/%{_hhl_target_man_dir}/man8/pam_tally.8.gz
%doc %{_hhl_cross_target_dir}/%{_hhl_target_man_dir}/man8/unix_chkpwd.8.gz
%doc Linux-PAM/modules/pam_filter/upperLOWER/*.c
%endif

%doc Linux-PAM/LICENSE


%files -n pam%{_hhl_pkg_suffix}
%defattr(-,root,root)
%if "%{_hhl_pkg_suffix}" == ""
%config %{_hhl_cross_target_dir}/etc/pam.conf
%config %{_hhl_cross_target_dir}/etc/pam.d/other
%config %{_hhl_cross_target_dir}/etc/pam.d/common-*
%dir %{_hhl_cross_target_dir}/etc/security
%dir %{_hhl_cross_target_dir}/%{_hhl_target_lib}/security
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/pam_getenv
%doc %{_hhl_cross_target_dir}/%{_hhl_target_man_dir}/man8/pam.8.gz
%doc %{_hhl_cross_target_dir}/%{_hhl_target_man_dir}/man8/pam.conf.8.gz
%doc %{_hhl_cross_target_dir}/%{_hhl_target_man_dir}/man8/pam.d.8.gz
%doc %{_hhl_cross_target_dir}/%{_hhl_target_man_dir}/man8/pam_getenv.8.gz
%endif

%doc Linux-PAM/LICENSE

%files -n pam-dev%{_hhl_pkg_suffix}
%defattr(-,root,root)
%if "%{_hhl_pkg_suffix}" == ""
%dir %{_hhl_cross_target_dir}/%{_hhl_target_include_dir}/security
%{_hhl_cross_target_dir}/%{_hhl_target_include_dir}/security/*
%doc %{_hhl_cross_target_dir}/%{_hhl_target_man_dir}/man3/*
%doc Linux-PAM/examples/*
%endif
%{_hhl_cross_target_dir}/%{_hhl_target_lib_dir}/*.a
%{_hhl_cross_target_dir}/%{_hhl_target_lib_dir}/*.so
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/lib*.so

%doc Linux-PAM/LICENSE


%files -n pam-cracklib%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}/%{_hhl_target_lib}/security/pam_cracklib.so

%doc Linux-PAM/LICENSE


%if "%{_hhl_pkg_suffix}" == ""
%files -n pam-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}/%{_hhl_target_doc_dir}/pam-doc-%{version}/
%endif


%changelog
* Fri Nov 14 2003 Michael Eager <eager@mvista.com>
- Mods to support alternate library installation (mips64).

* Fri Aug 3 2001 Daniel Jacobowitz <source@mvista.com>
- Build with $(CC) instead of $(LD).

* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <source@mvista.com>)
- Added TCT package description files

* Tue Mar 06 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
