%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Summary   	: Programs which control basic system processes.
Name	  	: sysvinit
Version	  	: 2.85
Release	  	: 4.0.7.%{_hhl_build_id}
Source	  	: sysvinit_%{version}.orig.tar.gz
Source1		: devpts.sh
Source2		: sysvinit-LICENSE
Source5		: README.sysvinit
Source6		: devshm.sh
Source7		: init-functions
Source8		: bootclean.sh
Patch		: sysvinit_%{version}-22.diff.gz
Patch1		: sysvinit-%{version}-hhl.patch
Patch2		: sysvinit-%{version}-inittab.patch
Patch3		: sysvinit-%{version}-sendsig.patch
Patch4  	: sysvinit-%{version}-hhl-inittab.patch
Patch5		: sysvinit-%{version}-initscripts.patch
Patch6		: sysvinit-%{version}-chkroot.diff
Patch7		: sysvinit-%{version}-init.patch
Patch8		: sysvinit-%{version}-modvirtfs.patch
Patch9		: sysvinit-%{version}-post-opt.diff
Patch10		: sysvinit-%{version}-umountnfs.patch
Patch11		: sysvinit-%{version}-mknod.patch
Patch12		: sysvinit-bootmisc.patch
Patch13		: sysvinit-allinidconfig.diff
License 	: GPL
Group	  	: base
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
Provides      : /etc/init.d /etc/rc.d/init.d

#
#	SRPM
#
Obsoletes : hhl-target-sysvinit
Obsoletes : hhl-%{_hhl_target_arch}-sysvinit

%description

This is the source RPM for the sysvinit binary packages in MontaVista Linux.

#
#	RPM
#


%package -n initscripts
Summary		: Scripts executed at boot and when the run level changes.
Group		: base 
Requires	: mvlutils
Provides	: /etc/init.d /etc/rc.d/init.d

Obsoletes : hhl-%{_hhl_target_arch}-initscripts

%description -n initscripts

The scripts in /etc/init.d are run when the system is boot, or when a run 
level changes.


%prep

%target_check

%setup -n sysvinit-%{version}.orig
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# The MVL /etc directory structure for init
mkdir -p debian/initscripts/etc/init.d
mkdir -p debian/initscripts/etc/rc.d
#mv debian/etc/rc0.d \
mkdir -p debian/initscripts/etc/rc.d/rc0.d
#mv debian/etc/rc1.d \
mkdir -p debian/initscripts/etc/rc.d/rc1.d
#mv debian/etc/rc2.d \
mkdir -p debian/initscripts/etc/rc.d/rc2.d
#mv debian/etc/rc3.d \
mkdir -p debian/initscripts/etc/rc.d/rc3.d
#mv debian/etc/rc4.d \
mkdir -p debian/initscripts/etc/rc.d/rc4.d
#mv debian/etc/rc5.d \
mkdir -p debian/initscripts/etc/rc.d/rc5.d
#mv debian/etc/rc6.d \
mkdir -p debian/initscripts/etc/rc.d/rc6.d
#mv debian/etc/rcS.d \
mkdir -p debian/initscripts/etc/rc.d/rcS.d
ln -s ../init.d debian/initscripts/etc/rc.d/init.d

install -m 755 %{SOURCE1} debian/initscripts/etc/init.d/.
install -m 755 %{SOURCE6} debian/initscripts/etc/init.d/.
install -m 755 %{SOURCE8} debian/initscripts/etc/init.d/.

%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

make -C src CC=%{_hhl_target_toolprefix}gcc LDFLAGS=""


%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir %{buildroot}%{_hhl_cross_target_dir}/{%{_hhl_target_include_dir},sbin,%{_hhl_target_bin_dir},%{_hhl_target_man_dir}/man{1,3,5,8},%{_hhl_target_sysconf_dir},dev,bin,%{_hhl_target_localstate_dir}/run} -p

ln . objdir -s 

%target_makeinstall -C src ROOT=%{buildroot}%{_hhl_cross_target_dir} INSTALL=install MANDIR=%{_hhl_target_man_dir}

cp -a debian/share/inittab %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}
cp -a debian/initscripts/etc/* %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}
cp -a debian/sysv-rc/etc/init.d/* %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/
install -m 755 debian/initscripts/sbin/fsck.nfs %{buildroot}%{_hhl_cross_target_dir}/sbin/fsck.nfs
install -m 644 debian/initscripts/rcS.5 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5

install -m 644 debian/initscripts/etc/default/* %{buildroot}%{_hhl_cross_target_dir}/etc/default/.
cp -a debian/initscripts/share/default.rcS %{buildroot}%{_hhl_cross_target_dir}/etc/default/rcS
install -m 755 %{SOURCE7} %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/init-functions

# Setup some symlinks
#ln -s ../init.d/halt %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/S90halt
#ln -s ../init.d/reboot %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/S90reboot
#ln -s ../init.d/sendsigs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/S20sendsigs
#ln -s ../init.d/sendsigs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/S20sendsigs
#ln -s ../init.d/single %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc1.d/S20single
cat %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/mountvirtfs | sed 's,S 9,S 3,' > \
	%{buildroot}%{_hhl_cross_target_dir}/etc/init.d/mountvirtfs-early

# Not needed!
rm %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/makedev
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/*.orig
# Provided by the bsdutils package
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/wall.1
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/wall

gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

cp %{SOURCE2} LICENSE
cp %{SOURCE5} README.sysvinit

%clean
rm -rf %{buildroot}

%post -n initscripts
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add bootmisc.sh) &> /dev/null \
        || echo "Unable to enable initd service: bootmisc.sh"

(%{_hhl_target_toolprefix}initdconfig --add halt) &> /dev/null \
        || echo "Unable to enable initd service: halt"

(%{_hhl_target_toolprefix}initdconfig --add reboot) &> /dev/null \
        || echo "Unable to enable initd service: reboot"

(%{_hhl_target_toolprefix}initdconfig --add sendsigs) &> /dev/null \
        || echo "Unable to enable initd service: sendsigs"

(%{_hhl_target_toolprefix}initdconfig --add single) &> /dev/null \
        || echo "Unable to enable initd service: single"

(%{_hhl_target_toolprefix}initdconfig --add bootclean.sh) &> /dev/null \
        || echo "Unable to enable initd service: bootclean.sh"

(%{_hhl_target_toolprefix}initdconfig --add checkfs.sh) &> /dev/null \
        || echo "Unable to enable initd service: checkfs.sh"

(%{_hhl_target_toolprefix}initdconfig --add checkroot.sh) &> /dev/null \
        || echo "Unable to enable initd service: checkroot.sh"

(%{_hhl_target_toolprefix}initdconfig --add devpts.sh) &> /dev/null \
        || echo "Unable to enable initd service: devpts.sh"

(%{_hhl_target_toolprefix}initdconfig --add devshm.sh) &> /dev/null \
        || echo "Unable to enable initd service: devshm.sh"

(%{_hhl_target_toolprefix}initdconfig --add mountall.sh) &> /dev/null \
        || echo "Unable to enable initd service: mountall.sh"

(%{_hhl_target_toolprefix}initdconfig --add mountswap.sh) &> /dev/null \
        || echo "Unable to enable initd service: mountswap.sh"

(%{_hhl_target_toolprefix}initdconfig --add mountnfs.sh) &> /dev/null \
        || echo "Unable to enable initd service: mountnfs.sh"

(%{_hhl_target_toolprefix}initdconfig --add umountfs) &> /dev/null \
        || echo "Unable to enable initd service: umountfs"

(%{_hhl_target_toolprefix}initdconfig --add umountnfs.sh) &> /dev/null \
        || echo "Unable to enable initd service: umountnfs.sh"

(%{_hhl_target_toolprefix}initdconfig --add mountvirtfs) &> /dev/null \
        || echo "Unable to enable initd service: mountvirtfs"

(%{_hhl_target_toolprefix}initdconfig --add mountvirtfs-early) &> /dev/null \
        || echo "Unable to enable initd service: mountvirtfs-early"

(%{_hhl_target_toolprefix}initdconfig --add rmnologin) &> /dev/null \
        || echo "Unable to enable initd service: rmnologin"

# We only register services, not un-register them.


%files -n sysvinit
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/pidof
%{_hhl_cross_target_dir}/bin/mountpoint
%{_hhl_cross_target_dir}/sbin/halt
%{_hhl_cross_target_dir}/sbin/init
%{_hhl_cross_target_dir}/sbin/killall5
%{_hhl_cross_target_dir}/sbin/poweroff
%{_hhl_cross_target_dir}/sbin/reboot
%{_hhl_cross_target_dir}/sbin/runlevel
%{_hhl_cross_target_dir}/sbin/shutdown
%{_hhl_cross_target_dir}/sbin/sulogin
%{_hhl_cross_target_dir}/sbin/telinit
%{_hhl_cross_target_dir}/sbin/bootlogd
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/last
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lastb
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/mesg
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/utmpdump
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/initreq.h
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/initscript.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/inittab.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/*
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/inittab
%doc LICENSE README.sysvinit


%files -n initscripts
%defattr(-,root,root)
# The /etc directory structure for init
%config %dir %{_hhl_cross_target_dir}/etc/default
%config %dir %{_hhl_cross_target_dir}/etc/init.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc0.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc1.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc2.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc3.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc4.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc5.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc6.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rcS.d
%{_hhl_cross_target_dir}/etc/rc.d/init.d

%attr(755, root, root) %config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/default/*
%attr(755, root, root) %config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/[a-z]*
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/README

%{_hhl_cross_target_dir}/sbin/fsck.nfs
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/rcS.5.gz
%doc LICENSE


%changelog
* Tue Apr 10 2002 Brian Eliot <source@mvista.com>
- Add patch11.
* Fri Apr 20 2001 Automated script (Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Feb 27 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


